/* This file is part of the origami distrubution. (Amiga Port)
 *
 * Source code written by Thomas Hadig in September 1993
 * Version : 1.6.92.1, February 1994
 * (C) 1993-94 by Thomas Hadig
 * may be distributed unchanged ! (see copyright notes)
 */

#ifndef ORI_AREXX_H
#define ORI_AREXX_H
#ifdef AREXX
#include <rexx/storage.h>

#define I_GETTK_C

/*{{{}}}*/
/*{{{  AREXX_COM*/
#pragma msg 108 ignore push
typedef struct arexx_com
 {
  struct arexx_com *Next;
  int              mac;
  char             name[0];
 } AREXX_COM;
#pragma msg 108 pop
/*}}}  */
/*{{{  _AREXX (MyArexx)*/
typedef struct MyArexx
 {
  struct MsgPort *port;
  int            outstanding;
  long           signal;
  char           portname[24];
  char           errorname[28];
  struct RexxMsg *msg;
  int            tag;
  AREXX_COM      *command;
  int            mac;
  int            hist;
 } _AREXX;
/*}}}  */

extern struct RexxMsg *GetARexxMsg (void);
extern void ReplyARexxMsg(struct RexxMsg *rmsg,char *RString,LONG Error);
extern short SetARexxLastError(struct Message *rmsg,char *ErrorString);
extern int handle_rexx(void);
#endif
#endif
