/*{{{}}}*/
/*{{{  includes*/
#include <stdio.h>

#include <h/keys.h>
#include <h/token.h>
#include <h/rcformat.h>
#include <lib/ori_rc_lib.h>
/*}}}  */

/*{{{  rc_get_w*/
int rc_get_w(FILE * const f)
{ int val;
  int b1;

  b1=getc(f);
  val=((b1&0x7f)<<8)+getc(f);
  return((b1&0x80)?-val:val);
}
/*}}}  */
/*{{{  rc_nget_w*/
void rc_nget_w(FILE * const f,int n,int *t)
{

  while (n-->0)
   { int i;
  
     i=rc_get_w(f);
     *t++=i;
   }
}
/*}}}  */
/*{{{  rc_get_s*/
void rc_get_s(FILE * const f,char *s,int l)
{
  int c;

  do
   { c=rc_get_c(f);
     if (s)
        *s++=c;
   }
  while (c && c!=EOF && --l);
}
/*}}}  */
