/* This file is generated automatically by awk -f tok2h.awk */
/* containing permission and execution-level information for OCL tokens */
/*{{{  permissons*/
/*{{{  bits and mask*/
#define KTI_NONE	0	/* no permissions	*/
#define KTI_B		1	/* browse key		*/
#define KTI_F		2	/* fieldedit key	*/
#define KTI_S		4	/* screen key - folding	*/
#define KTI_P		8	/* prompt key		*/
#define KT_LG		4	/* number of used bits	*/
/*}}}  */
/*{{{  combined*/
#define KT_DUMMY	0	/* not used	*/

#define KT_NONE		KTI_NONE
#define KT_B		KTI_B
#define KT_F		KTI_F
#define KT_S		KTI_S
#define KT_P		KTI_P
#define KT_PSFB		(KTI_P|KTI_S|KTI_F|KTI_B)
#define KT_SFB		(KTI_S|KTI_F|KTI_B)
#define KT_PFB		(KTI_P|KTI_F|KTI_B)
#define KT_PSB		(KTI_P|KTI_S|KTI_B)
#define KT_PSF		(KTI_P|KTI_S|KTI_F)
#define KT_FB		(KTI_F|KTI_B)
#define KT_PB		(KTI_P|KTI_B)
#define KT_PS		(KTI_P|KTI_S)
#define KT_SF		(KTI_S|KTI_F)
#define KT_SB		(KTI_S|KTI_B)
#define KT_PF		(KTI_P|KTI_F)
/*}}}  */
/*}}}  */
/*{{{  types*/
typedef enum
 { COM=0,	/* simple command			*/
   COM_C,	/* command with 1 char argument		*/
   COM_I,	/* command with 1 int argument		*/
   COM_A,	/* command with a adress		*/
   COM_II,	/* command with 2 int arguments		*/
   COM_P,	/* command with a prompt		*/
   COM_IP,	/* command with 1 int and prompt	*/
   COM_IIP	/* command with 2 int and prompt	*/
 } COM_TYPES;
/*}}}  */
/*{{{  datalist*/
#define P_T_MERGE(p,c) (p|(c<<KT_LG))
#define GET_T(x) \
  (((x<=O_NOP)||(x>=O_EXE_MACRO))           \
    ? COM                                   \
    : (COM_TYPES)(key_info[x-O_NOP]>>KT_LG))

private char const key_info[] =
 { P_T_MERGE(KT_PSFB,COM)  	/* O_NOP */,
   P_T_MERGE(KT_PSFB,COM)  	/* M_BEGIN_OF_LINE */,
   P_T_MERGE(KT_SFB,COM)  	/* M_BOT_OF_FOLD */,
   P_T_MERGE(KT_NONE,COM_II)  	/* M_CHANGE_FOLD */,
   P_T_MERGE(KT_SB,COM_IIP)  	/* M_EDIT_HISTORY */,
   P_T_MERGE(KT_PSFB,COM)  	/* M_END_OF_LINE */,
   P_T_MERGE(KT_PSB,COM_IP)  	/* M_FINISH */,
   P_T_MERGE(KT_B,COM_I)  	/* M_GOTO_MARK */,
   P_T_MERGE(KT_SB,COM_II)  	/* M_GO_BUFFER */,
   P_T_MERGE(KT_SFB,COM_I)  	/* M_GO_COUNTER_X_POS */,
   P_T_MERGE(KT_SB,COM_I)  	/* M_LAYOUT */,
   P_T_MERGE(KT_SFB,COM_I)  	/* M_POS_TO_COUNTER */,
   P_T_MERGE(KT_SB,COM_I)  	/* M_SHOW_HELP */,
   P_T_MERGE(KT_PSFB,COM)  	/* M_STORE_C */,
   P_T_MERGE(KT_PSFB,COM_I)  	/* M_TEST_CC */,
   P_T_MERGE(KT_PSFB,COM_C)  	/* M_TEST_CHAR */,
   P_T_MERGE(KT_PSFB,COM_C)  	/* M_TEST_CHAR_HIGH */,
   P_T_MERGE(KT_PSFB,COM_C)  	/* M_TEST_CHAR_LOW */,
   P_T_MERGE(KT_PSFB,COM_I)  	/* M_TEST_CHAR_SET */,
   P_T_MERGE(KT_PSFB,COM_I)  	/* M_TEST_H_CC */,
   P_T_MERGE(KT_PSFB,COM_I)  	/* M_TEST_L_CC */,
   P_T_MERGE(KT_PSFB,COM_P)  	/* M_TEST_STR */,
   P_T_MERGE(KT_SFB,COM)  	/* M_TOP_OF_FOLD */,
   P_T_MERGE(KT_SB,COM_IIP)  	/* M_WRITE_HELP */,
   P_T_MERGE(KT_NONE,COM)  	/* O_ATTACH_FILE */,
   P_T_MERGE(KT_PB,COM)  	/* O_AUTO_SAVE */,
   P_T_MERGE(KT_PB,COM)  	/* O_A_AUTO_SAVE */,
   P_T_MERGE(KT_SB,COM)  	/* O_A_B_REGEXP */,
   P_T_MERGE(KT_PB,COM)  	/* O_A_ECHO */,
   P_T_MERGE(KT_B,COM)  	/* O_A_FULLSHIFT */,
   P_T_MERGE(KT_PSF,COM)  	/* O_A_HASH */,
   P_T_MERGE(KT_PB,COM)  	/* O_A_NOPARSE */,
   P_T_MERGE(KT_PSFB,COM)  	/* O_A_OVER */,
   P_T_MERGE(KT_PB,COM)  	/* O_A_POSI */,
   P_T_MERGE(KT_PB,COM)  	/* O_A_TIME */,
   P_T_MERGE(KT_PSB,COM)  	/* O_A_VERBOSE */,
   P_T_MERGE(KT_PSFB,COM)  	/* O_A_VIEW */,
   P_T_MERGE(KT_SB,COM)  	/* O_A_X_REGEXP */,
   P_T_MERGE(KT_SB,COM)  	/* O_BOT_OF_FOLD */,
   P_T_MERGE(KT_PSB,COM)  	/* O_BREAK */,
   P_T_MERGE(KT_NONE,COM)  	/* O_CHANGE_MARK */,
   P_T_MERGE(KT_B,COM)  	/* O_CLOSE_FOLD */,
   P_T_MERGE(KT_NONE,COM)  	/* O_COPY */,
   P_T_MERGE(KT_B,COM)  	/* O_COPY_PICK */,
   P_T_MERGE(KT_S,COM)  	/* O_CREATE_FOLD */,
   P_T_MERGE(KT_PF,COM)  	/* O_DELETE */,
   P_T_MERGE(KT_NONE,COM)  	/* O_DEL_LINE */,
   P_T_MERGE(KT_SB,COM)  	/* O_DESCRIBE_BINDINGS */,
   P_T_MERGE(KT_PSB,COM)  	/* O_DOWN */,
   P_T_MERGE(KT_B,COM)  	/* O_DSP */,
   P_T_MERGE(KT_PB,COM)  	/* O_D_AUTO_SAVE */,
   P_T_MERGE(KT_PB,COM)  	/* O_D_ECHO */,
   P_T_MERGE(KT_B,COM)  	/* O_D_FULLSHIFT */,
   P_T_MERGE(KT_PSF,COM)  	/* O_D_HASH */,
   P_T_MERGE(KT_PB,COM)  	/* O_D_NOPARSE */,
   P_T_MERGE(KT_PSFB,COM)  	/* O_D_OVER */,
   P_T_MERGE(KT_PB,COM)  	/* O_D_POSI */,
   P_T_MERGE(KT_SB,COM)  	/* O_D_REGEXP */,
   P_T_MERGE(KT_PB,COM)  	/* O_D_TIME */,
   P_T_MERGE(KT_PSB,COM)  	/* O_D_VERBOSE */,
   P_T_MERGE(KT_PSFB,COM)  	/* O_D_VIEW */,
   P_T_MERGE(KT_PSFB,COM)  	/* O_END_OF_LINE */,
   P_T_MERGE(KT_B,COM)  	/* O_ENTER_FOLD */,
   P_T_MERGE(KT_B,COM)  	/* O_ENTER_NO_FILE */,
   P_T_MERGE(KT_B,COM)  	/* O_EXIT_FOLD */,
   P_T_MERGE(KT_PSF,COM)  	/* O_FILE_C */,
   P_T_MERGE(KT_NONE,COM)  	/* O_FILE_FOLD */,
   P_T_MERGE(KT_NONE,COM)  	/* O_FILTER_BUFFER */,
   P_T_MERGE(KT_NONE,COM)  	/* O_FILTER_LINE */,
   P_T_MERGE(KT_PB,COM)  	/* O_FIND */,
   P_T_MERGE(KT_PB,COM)  	/* O_FIND_REVERSE */,
   P_T_MERGE(KT_PSB,COM)  	/* O_FINISH */,
   P_T_MERGE(KT_NONE,COM)  	/* O_FIRST_LINE_TO_FOLD_H */,
   P_T_MERGE(KT_PSB,COM_I)  	/* O_FLUSH */,
   P_T_MERGE(KT_SB,COM)  	/* O_FOLD_INFO */,
   P_T_MERGE(KT_B,COM)  	/* O_GOTO_LINE */,
   P_T_MERGE(KT_SB,COM)  	/* O_GROW_BUFFER */,
   P_T_MERGE(KT_SB,COM)  	/* O_GROW_W_BUFFER */,
   P_T_MERGE(KT_PSB,COM)  	/* O_HELP */,
   P_T_MERGE(KT_NONE,COM)  	/* O_INSERT_FILE */,
   P_T_MERGE(KT_PB,COM)  	/* O_ITS_REVERSE */,
   P_T_MERGE(KT_PB,COM)  	/* O_ITS_SEARCH */,
   P_T_MERGE(KT_NONE,COM)  	/* O_LANGUAGE */,
   P_T_MERGE(KT_PSFB,COM)  	/* O_LEFT */,
   P_T_MERGE(KT_NONE,COM)  	/* O_MOVE */,
   P_T_MERGE(KT_SB,COM)  	/* O_OPEN_BUFFER */,
   P_T_MERGE(KT_B,COM)  	/* O_OPEN_FOLD */,
   P_T_MERGE(KT_SB,COM)  	/* O_OPEN_LIST_BUFFER */,
   P_T_MERGE(KT_B,COM)  	/* O_OPEN_LIST_FILE */,
   P_T_MERGE(KT_SB,COM)  	/* O_OPEN_LIST_W_BUFFER */,
   P_T_MERGE(KT_B,COM)  	/* O_OPEN_NEW_FILE */,
   P_T_MERGE(KT_SB,COM)  	/* O_OPEN_W_BUFFER */,
   P_T_MERGE(KT_PSB,COM)  	/* O_PAGE_DOWN */,
   P_T_MERGE(KT_PSB,COM)  	/* O_PAGE_UP */,
   P_T_MERGE(KT_NONE,COM)  	/* O_PICK */,
   P_T_MERGE(KT_NONE,COM)  	/* O_PIPE_FROM_COMMAND */,
   P_T_MERGE(KT_B,COM)  	/* O_PIPE_TO_COMMAND */,
   P_T_MERGE(KT_SB,COM)  	/* O_PROMPT */,
   P_T_MERGE(KT_NONE,COM)  	/* O_PUT_PICK */,
   P_T_MERGE(KT_NONE,COM)  	/* O_QUERY_REPLACE */,
   P_T_MERGE(KT_PSB,COM)  	/* O_QUIT */,
   P_T_MERGE(KT_PSB,COM)  	/* O_REFRESH */,
   P_T_MERGE(KT_NONE,COM)  	/* O_REMOVE_FOLD */,
   P_T_MERGE(KT_B,COM)  	/* O_RENAME_FILE */,
   P_T_MERGE(KT_NONE,COM)  	/* O_REPLACE */,
   P_T_MERGE(KT_PF,COM)  	/* O_RETURN */,
   P_T_MERGE(KT_PSFB,COM)  	/* O_RIGHT */,
   P_T_MERGE(KT_B,COM)  	/* O_SAVE_FILE */,
   P_T_MERGE(KT_B,COM)  	/* O_SHELL */,
   P_T_MERGE(KT_B,COM)  	/* O_SHELL_COMMAND */,
   P_T_MERGE(KT_SB,COM)  	/* O_SHRINK_BUFFER */,
   P_T_MERGE(KT_SB,COM)  	/* O_SHRINK_W_BUFFER */,
   P_T_MERGE(KT_PSFB,COM)  	/* O_START_OF_LINE */,
   P_T_MERGE(KT_B,COM)  	/* O_SUSPEND */,
   P_T_MERGE(KT_B,COM)  	/* O_TITLE_HIDE */,
   P_T_MERGE(KT_B,COM)  	/* O_TITLE_SHOW */,
   P_T_MERGE(KT_PSF,COM)  	/* O_TOGGLE_CASE */,
   P_T_MERGE(KT_SB,COM)  	/* O_TOP_OF_FOLD */,
   P_T_MERGE(KT_P,COM)  	/* O_UNDEL_LINE */,
   P_T_MERGE(KT_PSB,COM)  	/* O_UP */,
   P_T_MERGE(KT_B,COM)  	/* O_WRITE_FILE */,
   P_T_MERGE(KT_DUMMY,COM)  	/* K_MOUSE */,
   P_T_MERGE(KT_DUMMY,COM)  	/* K_QUOTE */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M16 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M15 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M14 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M13 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M12 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M11 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M10 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M9 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M8 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M7 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M6 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M5 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M4 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M3 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M2 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_M1 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_0 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_1 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_2 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_3 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_4 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_5 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_6 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_7 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_8 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_9 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_10 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_11 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_12 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_13 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_14 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_15 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ADD_COUNTER_16 */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_ADD_COUNTER */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ASCII */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_BEGIN_FOLD_COMMENT */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M16 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M15 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M14 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M13 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M12 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M11 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M10 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M9 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M8 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M7 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M6 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M5 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M4 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M3 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M2 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_M1 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_0 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_1 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_2 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_3 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_4 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_5 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_6 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_7 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_8 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_9 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_10 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_11 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_12 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_13 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_14 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_15 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CALL_16 */,
   P_T_MERGE(KT_DUMMY,COM_A)  	/* M_CALL */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CHANGED */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_CLOSED_FOLD */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_DIV */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ECHO_I */,
   P_T_MERGE(KT_DUMMY,COM_P)  	/* M_ECHO_P */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_EDITING */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_END_FOLD_COMMENT */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_END_MACRO */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_ENTERED */,
   P_T_MERGE(KT_DUMMY,COM_IP)  	/* M_ENV_CMD */,
   P_T_MERGE(KT_DUMMY,COM_P)  	/* M_EXIT */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_FILED_FOLD */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_FILETYP */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_FOLD_DATA */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_GET_BUFFER */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_GET_HISTORY */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_HISTORY */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_INT_STRING */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_INV_COUNTER */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M16 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M15 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M14 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M13 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M12 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M11 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M10 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M9 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M8 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M7 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M6 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M5 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M4 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M3 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M2 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_M1 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_0 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_1 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_2 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_3 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_4 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_5 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_6 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_7 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_8 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_9 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_10 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_11 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_12 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_13 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_14 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_15 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_16 */,
   P_T_MERGE(KT_DUMMY,COM_A)  	/* M_JMP */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M16 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M15 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M14 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M13 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M12 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M11 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M10 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M9 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M8 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M7 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M6 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M5 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M4 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M3 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M2 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_M1 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_0 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_1 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_2 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_3 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_4 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_5 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_6 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_7 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_8 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_9 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_10 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_11 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_12 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_13 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_14 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_15 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_FALSE_16 */,
   P_T_MERGE(KT_DUMMY,COM_A)  	/* M_JMP_FALSE */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M16 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M15 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M14 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M13 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M12 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M11 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M10 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M9 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M8 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M7 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M6 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M5 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M4 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M3 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M2 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_M1 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_0 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_1 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_2 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_3 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_4 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_5 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_6 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_7 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_8 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_9 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_10 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_11 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_12 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_13 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_14 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_15 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_JMP_TRUE_16 */,
   P_T_MERGE(KT_DUMMY,COM_A)  	/* M_JMP_TRUE */,
   P_T_MERGE(KT_DUMMY,COM_C)  	/* M_LANGUAGE */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_LASTMES */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_LOAD_MAC */,
   P_T_MERGE(KT_DUMMY,COM_IP)  	/* M_MENU */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_MOD */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_MULT */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_NOT */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_NULL_COUNTER */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_POP_DELBUF */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_POP_INT */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_POP_INT_X */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_POSITIV_COUNTER */,
   P_T_MERGE(KT_DUMMY,COM_IP)  	/* M_PROMPT */,
   P_T_MERGE(KT_DUMMY,COM_IP)  	/* M_PROMPT_C */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_PUSH_INT */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_PUSH_INT_X */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_READ_REPEAT */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_RESET_USER_MODE */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_SCREEN_OFF */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_SCREEN_ON */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_SET_COPY */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M16 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M15 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M14 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M13 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M12 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M11 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M10 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M9 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M8 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M7 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M6 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M5 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M4 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M3 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M2 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_M1 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_0 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_1 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_2 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_3 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_4 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_5 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_6 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_7 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_8 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_9 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_10 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_11 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_12 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_13 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_14 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_15 */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_COUNTER_16 */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_SET_COUNTER */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SET_USER_MODE */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_SET_USER_MODE_NUMB */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SHOW_CURSOR */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_STORE_LINE_NO */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_STORE_MARK */,
   P_T_MERGE(KT_DUMMY,COM_II)  	/* M_SUM_COUNTER */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_SW_KBD */,
   P_T_MERGE(KT_DUMMY,COM_I)  	/* M_S_ENTERED */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_TEST_AUTO */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_TEST_ECHO */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_TEST_FOLD */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_TEST_HASH */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_TEST_OVER */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_TEST_VERBOSE */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_TEST_VIEW */,
   P_T_MERGE(KT_DUMMY,COM)  	/* M_TEXTLINE */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_BELL */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_BELL_VISIBLE */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_DEF_FIX */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_DEF_MACRO */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_0 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_1 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_2 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_3 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_4 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_5 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_6 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_7 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_8 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_REP_9 */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_UNCHANGE */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_UNDEL_CHAR */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_CALL_FIX */,
   P_T_MERGE(KT_DUMMY,COM)  	/* O_EXE_MACRO */
 };
/*}}}  */
