BEGIN {
    #{{{}}}
#    {{{  init chapter counters
    a1=0
    a2=0
    a3=0
    a4=0
    a5=0
    header=1
#    }}}
#    {{{  print auto-gen tag
    printf(".\\%c generated automatically, containing the table of contents\n",34)
#    }}}
#    {{{  print table roff data
    printf(".QP\n")
    printf(".sp\n")
    printf(".sp\n")
    printf(".LG\n")
    printf(".ce\n")
    printf("\\fBContents\\fP\n")
    printf(".iX Contents\n")
    printf(".SM\n")
    printf(".ta 0.4i 4.7i-5mR 4.7iR\n")
#    }}}
}
/^\.tC/ {
#        {{{  print h_skip's
        if ($3=="1")
            printf(".sp 0.5\n")
        else if ($3=="2")
            printf(".if \\n(gR .sp 0.3\n")
        else if ($3=="3")
            printf(".if \\n(gR .sp 0.1\n")
#        }}}
        printf("\t")
        if ($3=="1") printf("\\fB")
#        {{{  print chapter numbers
        if ($3=="1") {
            printf("%d  ",++a1)
            a2=0
        } else if ($3=="2") {
            printf("%d.%d  ",a1,++a2)
            a3=0
        } else if ($3=="3") {
            printf("%d.%d.%d  ",a1,a2,++a3)
            a4=0
        } else if ($3=="4") {
            printf("%d.%d.%d.%d  ",a1,a2,a3,++a4)
            a5=0
        } else
            printf("%d.%d.%d.%d.%d  ",a1,a2,a3,a4,++a5)
#        }}}
#        {{{  print title
        printf("%s",$4)
        for (i=5;;)
         { if ($i=="") break;
             printf(" %s",$i)
             i++
         }
#        }}}
        if ($3=="1") printf("\\fP")
        printf(" %c\t ",header)
        if ($3=="1") printf("\\fB")
        printf("%s",$2)
        if ($3=="1") printf("\\fP")
        printf("\n.br\n")
}
