.\" this is used for ms and me in different ways. So IP is replaced by XP
.\" The calling files define this macro in the right way
.\"{{{}}}
.\"{{{  -a <delay>
.iP "\fB\-a\fP \fIdelay\fP, >>>MIN_ALARMTIME<<<<=\fIdelay\fP<=>>>MAX_ALARMTIME<<<"
\fBOrigami\fP will start in auto-save-mode with \fIdelay\fP minutes
(\fB\-a 0\fP, no auto-save).  Multiple usage of this option is allowed.
The last given value is used.  Default value is >>>NORM_ALARMTIME<<<.
.\"}}}
.\"{{{  -d <display-mode>
.iP "\fB\-d\fP \fIdisplay-mode\fP"
Specify the character display mode. \fIfIdisplay-mode\fP is a list of
code (like in \fB>>>O_DSP<<<\fP).
.br
\fBo\fP \- octal display
.br
.br
\fBd\fP \- decimal display
.br
.br
\fBh\fP \- hexadecimal display
.br
\fBm\fP \- mark control characters
.br
\fBi\fP \- invers control characters
.br
\fBn\fP \- numbered control characters
.br
\fBp\fP \- normal character display
.br
\fB8\fP \- numbered display of 8-bit characters
.br
\fBa\fP \- numbered display of all characters
.br
\fBt\fP\fInumber\fP \- tab width is set to \fInumber\fP
.br
.\"}}}
.\"{{{  -e
.iP \fB\-e\fP
\fBOrigami\fP does not echo the entered keys under the statusline.
.\"}}}
.\"{{{  -f <match>
.iP "\fB\-f\fP \fImatch\fP"
\fBOrigami\fP will pass '\fB\-f\fP \fImatch\fP' to \fBdirfold\fP.  Can
be used to specify the files, which will be shown in diredit mode.
.\"}}}
.\"{{{  -h
.iP \fB\-h\fP
\fBOrigami\fP prints its usage.
.\"}}}
.\"{{{  -i
.iP "\fB\-i\fP"
Like \fB\-di\fP.
.\"}}}
.\"{{{  -k<name>
.iP "\fB\-k\fP \fInamebase\fP"
\fBOrigami\fP reads the keybinding and the bindinglist from file
\fB\&.origami>>>RC_ENDING<<<\fP, the help from
\fB\&.origami>>>HELP_ENDING<<<\fP.  This option sets the files to
\fInamebase\fP\fB>>>RC_ENDING<<<\fP and
\fInamebase\fP\fB>>>HELP_ENDING<<<\fP.  If \fBOrigami\fP cannot find the
files in the current directory, \fBOrigami\fP tries to find the files in
the directories \fB$>>>HOME<<<\fP or \fBORIGAMI_PATH\fP (set at
compiletime).  Origami searches only in the resource path, if the given
argument \fInamebase\fP is not an absolute path.  This option is not
allowed, if \fB\-O\fP has been used before!
.\"}}}
.\"{{{  -l<line>
.iP "\fB\-l\fP \fIline\fP"
Goto \fIline\fP after setting up.  Multiple usage of \fB\-l\fP ..  is
not allowed.
.\"}}}
.\"{{{  -m<markname>
.iP "\fB\-m\fP \fImarkname\fP"
\fBOrigami\fP searches in the >>>RC_ENDING<<<file for a set of foldmarks named
\fImarkname\fP.  If there is no such markset given, \fBOrigami\fP will
stop.  Otherwise the marks for folds are switched to the new ones.
Multiple usage of \fB\-m\fP .. is not allowed.
.\"}}}
.\"{{{  -n
.iP \fB\-n\fP
Every time a file is read this will take place without the \fB{\&{\&{\fP,
\fB}\&}\&}\fP or \fB:\&:\&:\fP sequences being parsed.  Folds can be used when editing, but
there is no folding-structure in the read file.  This allows the editing of
files which contain these strings without confusing \fBOrigami\fP.  The
Inmos format will not be decoded if this option is active.  This
`non-folding' mode concerns only reading files.  Creating
new folds or writing files using language Inmos is possible.
.\"}}}
.\"{{{  -o
.iP \fB\-o\fP
\fBOrigami\fP starts in overwrite-mode.
.\"}}}
.\"{{{  -p
.iP \fB\-p\fP
Preprocessormode is on.  Leading hashes are moved to first character in
lines.  Reading such files moves hashes to indentation of surrounding
folds.
.\"}}}
.\"{{{  -t<tab-width>
.iP "\fB\-t\fP \fItab-width\fP"
Like \fB\-dt\fP\fI<tab-width>\fP.
.\"}}}
.\"{{{  -v
.iP \fB\-v\fP
\fBOrigami\fP starts in view-mode.
.\"}}}
.\"{{{  -A
.iP \fB\-A\fP
\fBOrigami\fP starts not with the first file in command line, but with
the list of given files.  This option is ignored, if there are not more
than 1 command line file or if \fBOrigami\fP is started within a pipe.
.\"}}}
.\"{{{  -C
.iP \fB\-C\fP
Do not display the copyright message at startup.
.\"}}}
.\"{{{  -D
.iP \fB\-D\fP
Dump core on crash.
.\"}}}
.\"{{{  -F <nomatch>
.iP "\fB\-F\fP \fInomatch\fP"
\fBOrigami\fP will pass '\fB\-F\fP \fInomatch\fP' to \fBdirfold\fP.  Can
be used to specify the files, which will not be shown in diredit mode.
.\"}}}
.\"{{{  -K<keypad-state>
.iP "\fB\-K\fP\fIA\fP,\fB\-K\fP\fIN\fP"
Origami changes the mode of the keypad to application (\fIA\fP) or
numerical (\fIN\fP) mode at startup, if the terminal supports this.
Default is application (\fIA\fP).
.\"}}}
.\"{{{  -M<marks>
.iP \fB\-M\fP\fImarks\fP
Folder replaces the foldmarks by the characters given with \fImarks\fP.
\fBaaabbbcccddd\fP is evaluated:
.br
\fBaaa\fP for start of fold
.br
\fBbbb\fP for filed fold name
.br
\fBccc\fP for closed fold
.br
\fBddd\fP for end of fold
.br
None of these strings may start with a space or a tab!
.\"}}}
.\"{{{  -N<number>
.iP "\fB\-N\fP \fInumber\fP"
If \fBOrigami\fP is compiled with support for storing lines on backing store,
this options sets the number of buffered lines.
.\"}}}
.\"{{{  -O<number>|name
.iP "\fB\-O\fP \fIocl-value\fP"
Change the value of OCL integer variable \fB>>>OCL_ARG_V<<<\fP to
\fIocl-value\fP.  If the current bindings supports it, you can use
literals.  \fBorigami\fP [\fB\-k\fP\fIbinding\fP] \fB\-h\fP will show
all known literals.  See in the User Manual for more advanced options.
Multiple usage of this option is allowed.  If this option is not used,
\fB>>>OCL_ARG_V<<<\fP is initialized with \fB\-1\fP.
.\"}}}
.\"{{{  -P
.iP "\fB\-P\fP"
Don't open the controlling terminal, if called in a pipe.
.\"}}}
.\"{{{  -R path
.iP "\fB\-R\fP \fI>>>RC_ENDING<<<-path\fP"
Specify the path list for origami resource files.
.\"}}}
.\"{{{  -S <shell>
.iP "\fB\-S\fP \fIshell\fP"
Secure mode is activated.
.br
Pipe-commands are disabled and shell-commands use \fIshell\fP.  If
\fIshell\fP is the empty word, shell-commands are also disabled.  If
\fB\-S\fP\fIshell\fP is used, the only pipe, called by Origami, is
\&'\fBdirfold\fP \fI...\fP', to handle the editing of directories.
.\"}}}
.\"{{{  -T<default-name>
.iP "\fB\-T\fP \fIdefault-name\fP"
This option is only available, if \fBOrigami\fP is compiled to support
xterms.  In this case, this option enables \fBOrigami\fP to set the
xterm window name to the name of the current file.  After \fBOrigami\fP
has finished, the window name is changed to \fIdefault-name\fP.
Multiple usage of this option is allowed.  The last given value is used.
If the given value is the empty string, \fBxterm\fP is used.
.\"}}}
.\"{{{  -X<os-option>
.iP "\fB\-X\fP \fIos specific option\fP"
Some special versions of \fBOrigami\fP use this option to handle
additional features.  See the OS-specific documents for more
information.
.\"}}}
.\"{{{  -V
.iP \fB\-V\fP
\fBOrigami\fP starts in verbose-mode.
.\"}}}
.\"{{{  -W window-name
.iP "\fB\-W\fP \fIwindow name\fP"
\fIwindow name\fP will be displayed in the statusline, in front of the
filename. \fIwindow name\fP will also appear in the title of xterms, if
\fB\-T\fP is used.  This is intended for users of Virtual Terminal environments
such as Screen, where the Terminal Name can be stored in an environment variable.
This means one can distinguish between several sessions on several terminals.
.\"}}}
.\"{{{  -Z
.iP \fB\-Z\fP
\fBOrigami\fP cannot be stopped via \fBsuspend-origami\fP.
.\"}}}
