/* This file is generated automatically by awk -f tok2h.awk */
/* containing command types for OCL token */
typedef enum
 { COM=0,	/* simple command			*/
   COM_C,	/* command with 1 char argument		*/
   COM_I,	/* command with 1 int argument		*/
   COM_A,	/* command with a adress		*/
   COM_II,	/* command with 2 int arguments		*/
   COM_P,	/* command with a prompt		*/
   COM_IP,	/* command with 1 int and prompt	*/
   COM_IIP	/* command with 2 int and prompt	*/
 } COM_TYPES;
#ifdef CODE_LG_ARRAY
  COM_TYPES cmd_type[] =
   { COM,		/* O_NOP */
     COM,		/* M_BEGIN_OF_LINE */
     COM,		/* M_BOT_OF_FOLD */
     COM_II,		/* M_CHANGE_FOLD */
     COM_IIP,		/* M_EDIT_HISTORY */
     COM,		/* M_END_OF_LINE */
     COM_IP,		/* M_FINISH */
     COM_I,		/* M_GOTO_MARK */
     COM_II,		/* M_GO_BUFFER */
     COM_I,		/* M_GO_COUNTER_X_POS */
     COM_I,		/* M_LAYOUT */
     COM_I,		/* M_POS_TO_COUNTER */
     COM_I,		/* M_SHOW_HELP */
     COM,		/* M_STORE_C */
     COM_I,		/* M_TEST_CC */
     COM_C,		/* M_TEST_CHAR */
     COM_C,		/* M_TEST_CHAR_HIGH */
     COM_C,		/* M_TEST_CHAR_LOW */
     COM_I,		/* M_TEST_CHAR_SET */
     COM_I,		/* M_TEST_H_CC */
     COM_I,		/* M_TEST_L_CC */
     COM_P,		/* M_TEST_STR */
     COM,		/* M_TOP_OF_FOLD */
     COM_IIP,		/* M_WRITE_HELP */
     COM,		/* O_ATTACH_FILE */
     COM,		/* O_AUTO_SAVE */
     COM,		/* O_A_AUTO_SAVE */
     COM,		/* O_A_B_REGEXP */
     COM,		/* O_A_ECHO */
     COM,		/* O_A_FULLSHIFT */
     COM,		/* O_A_HASH */
     COM,		/* O_A_NOPARSE */
     COM,		/* O_A_OVER */
     COM,		/* O_A_POSI */
     COM,		/* O_A_TIME */
     COM,		/* O_A_VERBOSE */
     COM,		/* O_A_VIEW */
     COM,		/* O_A_X_REGEXP */
     COM,		/* O_BOT_OF_FOLD */
     COM,		/* O_BREAK */
     COM,		/* O_CHANGE_MARK */
     COM,		/* O_CLOSE_FOLD */
     COM,		/* O_COPY */
     COM,		/* O_COPY_PICK */
     COM,		/* O_CREATE_FOLD */
     COM,		/* O_DELETE */
     COM,		/* O_DEL_LINE */
     COM,		/* O_DESCRIBE_BINDINGS */
     COM,		/* O_DOWN */
     COM,		/* O_DSP */
     COM,		/* O_D_AUTO_SAVE */
     COM,		/* O_D_ECHO */
     COM,		/* O_D_FULLSHIFT */
     COM,		/* O_D_HASH */
     COM,		/* O_D_NOPARSE */
     COM,		/* O_D_OVER */
     COM,		/* O_D_POSI */
     COM,		/* O_D_REGEXP */
     COM,		/* O_D_TIME */
     COM,		/* O_D_VERBOSE */
     COM,		/* O_D_VIEW */
     COM,		/* O_END_OF_LINE */
     COM,		/* O_ENTER_FOLD */
     COM,		/* O_ENTER_NO_FILE */
     COM,		/* O_EXIT_FOLD */
     COM,		/* O_FILE_C */
     COM,		/* O_FILE_FOLD */
     COM,		/* O_FILTER_BUFFER */
     COM,		/* O_FILTER_LINE */
     COM,		/* O_FIND */
     COM,		/* O_FIND_REVERSE */
     COM,		/* O_FINISH */
     COM,		/* O_FIRST_LINE_TO_FOLD_H */
     COM_I,		/* O_FLUSH */
     COM,		/* O_FOLD_INFO */
     COM,		/* O_GOTO_LINE */
     COM,		/* O_GROW_BUFFER */
     COM,		/* O_GROW_W_BUFFER */
     COM,		/* O_HELP */
     COM,		/* O_INSERT_FILE */
     COM,		/* O_ITS_REVERSE */
     COM,		/* O_ITS_SEARCH */
     COM,		/* O_LANGUAGE */
     COM,		/* O_LEFT */
     COM,		/* O_MOVE */
     COM,		/* O_OPEN_BUFFER */
     COM,		/* O_OPEN_FOLD */
     COM,		/* O_OPEN_LIST_BUFFER */
     COM,		/* O_OPEN_LIST_FILE */
     COM,		/* O_OPEN_LIST_W_BUFFER */
     COM,		/* O_OPEN_NEW_FILE */
     COM,		/* O_OPEN_W_BUFFER */
     COM,		/* O_PAGE_DOWN */
     COM,		/* O_PAGE_UP */
     COM,		/* O_PICK */
     COM,		/* O_PIPE_FROM_COMMAND */
     COM,		/* O_PIPE_TO_COMMAND */
     COM,		/* O_PROMPT */
     COM,		/* O_PUT_PICK */
     COM,		/* O_QUERY_REPLACE */
     COM,		/* O_QUIT */
     COM,		/* O_REFRESH */
     COM,		/* O_REMOVE_FOLD */
     COM,		/* O_RENAME_FILE */
     COM,		/* O_REPLACE */
     COM,		/* O_RETURN */
     COM,		/* O_RIGHT */
     COM,		/* O_SAVE_FILE */
     COM,		/* O_SHELL */
     COM,		/* O_SHELL_COMMAND */
     COM,		/* O_SHRINK_BUFFER */
     COM,		/* O_SHRINK_W_BUFFER */
     COM,		/* O_START_OF_LINE */
     COM,		/* O_SUSPEND */
     COM,		/* O_TITLE_HIDE */
     COM,		/* O_TITLE_SHOW */
     COM,		/* O_TOGGLE_CASE */
     COM,		/* O_TOP_OF_FOLD */
     COM,		/* O_UNDEL_LINE */
     COM,		/* O_UP */
     COM,		/* O_WRITE_FILE */
     COM,		/* K_MOUSE */
     COM,		/* K_QUOTE */
     COM_I,		/* M_ADD_COUNTER_M16 */
     COM_I,		/* M_ADD_COUNTER_M15 */
     COM_I,		/* M_ADD_COUNTER_M14 */
     COM_I,		/* M_ADD_COUNTER_M13 */
     COM_I,		/* M_ADD_COUNTER_M12 */
     COM_I,		/* M_ADD_COUNTER_M11 */
     COM_I,		/* M_ADD_COUNTER_M10 */
     COM_I,		/* M_ADD_COUNTER_M9 */
     COM_I,		/* M_ADD_COUNTER_M8 */
     COM_I,		/* M_ADD_COUNTER_M7 */
     COM_I,		/* M_ADD_COUNTER_M6 */
     COM_I,		/* M_ADD_COUNTER_M5 */
     COM_I,		/* M_ADD_COUNTER_M4 */
     COM_I,		/* M_ADD_COUNTER_M3 */
     COM_I,		/* M_ADD_COUNTER_M2 */
     COM_I,		/* M_ADD_COUNTER_M1 */
     COM_I,		/* M_ADD_COUNTER_0 */
     COM_I,		/* M_ADD_COUNTER_1 */
     COM_I,		/* M_ADD_COUNTER_2 */
     COM_I,		/* M_ADD_COUNTER_3 */
     COM_I,		/* M_ADD_COUNTER_4 */
     COM_I,		/* M_ADD_COUNTER_5 */
     COM_I,		/* M_ADD_COUNTER_6 */
     COM_I,		/* M_ADD_COUNTER_7 */
     COM_I,		/* M_ADD_COUNTER_8 */
     COM_I,		/* M_ADD_COUNTER_9 */
     COM_I,		/* M_ADD_COUNTER_10 */
     COM_I,		/* M_ADD_COUNTER_11 */
     COM_I,		/* M_ADD_COUNTER_12 */
     COM_I,		/* M_ADD_COUNTER_13 */
     COM_I,		/* M_ADD_COUNTER_14 */
     COM_I,		/* M_ADD_COUNTER_15 */
     COM_I,		/* M_ADD_COUNTER_16 */
     COM_II,		/* M_ADD_COUNTER */
     COM_I,		/* M_ASCII */
     COM,		/* M_BEGIN_FOLD_COMMENT */
     COM,		/* M_CALL_M16 */
     COM,		/* M_CALL_M15 */
     COM,		/* M_CALL_M14 */
     COM,		/* M_CALL_M13 */
     COM,		/* M_CALL_M12 */
     COM,		/* M_CALL_M11 */
     COM,		/* M_CALL_M10 */
     COM,		/* M_CALL_M9 */
     COM,		/* M_CALL_M8 */
     COM,		/* M_CALL_M7 */
     COM,		/* M_CALL_M6 */
     COM,		/* M_CALL_M5 */
     COM,		/* M_CALL_M4 */
     COM,		/* M_CALL_M3 */
     COM,		/* M_CALL_M2 */
     COM,		/* M_CALL_M1 */
     COM,		/* M_CALL_0 */
     COM,		/* M_CALL_1 */
     COM,		/* M_CALL_2 */
     COM,		/* M_CALL_3 */
     COM,		/* M_CALL_4 */
     COM,		/* M_CALL_5 */
     COM,		/* M_CALL_6 */
     COM,		/* M_CALL_7 */
     COM,		/* M_CALL_8 */
     COM,		/* M_CALL_9 */
     COM,		/* M_CALL_10 */
     COM,		/* M_CALL_11 */
     COM,		/* M_CALL_12 */
     COM,		/* M_CALL_13 */
     COM,		/* M_CALL_14 */
     COM,		/* M_CALL_15 */
     COM,		/* M_CALL_16 */
     COM_A,		/* M_CALL */
     COM,		/* M_CHANGED */
     COM,		/* M_CLOSED_FOLD */
     COM_II,		/* M_DIV */
     COM_I,		/* M_ECHO_I */
     COM_P,		/* M_ECHO_P */
     COM,		/* M_EDITING */
     COM,		/* M_END_FOLD_COMMENT */
     COM,		/* M_END_MACRO */
     COM_I,		/* M_ENTERED */
     COM_IP,		/* M_ENV_CMD */
     COM_P,		/* M_EXIT */
     COM,		/* M_FILED_FOLD */
     COM_I,		/* M_FILETYP */
     COM_II,		/* M_FOLD_DATA */
     COM_II,		/* M_GET_BUFFER */
     COM_II,		/* M_GET_HISTORY */
     COM_I,		/* M_HISTORY */
     COM_I,		/* M_INT_STRING */
     COM_I,		/* M_INV_COUNTER */
     COM,		/* M_JMP_M16 */
     COM,		/* M_JMP_M15 */
     COM,		/* M_JMP_M14 */
     COM,		/* M_JMP_M13 */
     COM,		/* M_JMP_M12 */
     COM,		/* M_JMP_M11 */
     COM,		/* M_JMP_M10 */
     COM,		/* M_JMP_M9 */
     COM,		/* M_JMP_M8 */
     COM,		/* M_JMP_M7 */
     COM,		/* M_JMP_M6 */
     COM,		/* M_JMP_M5 */
     COM,		/* M_JMP_M4 */
     COM,		/* M_JMP_M3 */
     COM,		/* M_JMP_M2 */
     COM,		/* M_JMP_M1 */
     COM,		/* M_JMP_0 */
     COM,		/* M_JMP_1 */
     COM,		/* M_JMP_2 */
     COM,		/* M_JMP_3 */
     COM,		/* M_JMP_4 */
     COM,		/* M_JMP_5 */
     COM,		/* M_JMP_6 */
     COM,		/* M_JMP_7 */
     COM,		/* M_JMP_8 */
     COM,		/* M_JMP_9 */
     COM,		/* M_JMP_10 */
     COM,		/* M_JMP_11 */
     COM,		/* M_JMP_12 */
     COM,		/* M_JMP_13 */
     COM,		/* M_JMP_14 */
     COM,		/* M_JMP_15 */
     COM,		/* M_JMP_16 */
     COM_A,		/* M_JMP */
     COM,		/* M_JMP_FALSE_M16 */
     COM,		/* M_JMP_FALSE_M15 */
     COM,		/* M_JMP_FALSE_M14 */
     COM,		/* M_JMP_FALSE_M13 */
     COM,		/* M_JMP_FALSE_M12 */
     COM,		/* M_JMP_FALSE_M11 */
     COM,		/* M_JMP_FALSE_M10 */
     COM,		/* M_JMP_FALSE_M9 */
     COM,		/* M_JMP_FALSE_M8 */
     COM,		/* M_JMP_FALSE_M7 */
     COM,		/* M_JMP_FALSE_M6 */
     COM,		/* M_JMP_FALSE_M5 */
     COM,		/* M_JMP_FALSE_M4 */
     COM,		/* M_JMP_FALSE_M3 */
     COM,		/* M_JMP_FALSE_M2 */
     COM,		/* M_JMP_FALSE_M1 */
     COM,		/* M_JMP_FALSE_0 */
     COM,		/* M_JMP_FALSE_1 */
     COM,		/* M_JMP_FALSE_2 */
     COM,		/* M_JMP_FALSE_3 */
     COM,		/* M_JMP_FALSE_4 */
     COM,		/* M_JMP_FALSE_5 */
     COM,		/* M_JMP_FALSE_6 */
     COM,		/* M_JMP_FALSE_7 */
     COM,		/* M_JMP_FALSE_8 */
     COM,		/* M_JMP_FALSE_9 */
     COM,		/* M_JMP_FALSE_10 */
     COM,		/* M_JMP_FALSE_11 */
     COM,		/* M_JMP_FALSE_12 */
     COM,		/* M_JMP_FALSE_13 */
     COM,		/* M_JMP_FALSE_14 */
     COM,		/* M_JMP_FALSE_15 */
     COM,		/* M_JMP_FALSE_16 */
     COM_A,		/* M_JMP_FALSE */
     COM,		/* M_JMP_TRUE_M16 */
     COM,		/* M_JMP_TRUE_M15 */
     COM,		/* M_JMP_TRUE_M14 */
     COM,		/* M_JMP_TRUE_M13 */
     COM,		/* M_JMP_TRUE_M12 */
     COM,		/* M_JMP_TRUE_M11 */
     COM,		/* M_JMP_TRUE_M10 */
     COM,		/* M_JMP_TRUE_M9 */
     COM,		/* M_JMP_TRUE_M8 */
     COM,		/* M_JMP_TRUE_M7 */
     COM,		/* M_JMP_TRUE_M6 */
     COM,		/* M_JMP_TRUE_M5 */
     COM,		/* M_JMP_TRUE_M4 */
     COM,		/* M_JMP_TRUE_M3 */
     COM,		/* M_JMP_TRUE_M2 */
     COM,		/* M_JMP_TRUE_M1 */
     COM,		/* M_JMP_TRUE_0 */
     COM,		/* M_JMP_TRUE_1 */
     COM,		/* M_JMP_TRUE_2 */
     COM,		/* M_JMP_TRUE_3 */
     COM,		/* M_JMP_TRUE_4 */
     COM,		/* M_JMP_TRUE_5 */
     COM,		/* M_JMP_TRUE_6 */
     COM,		/* M_JMP_TRUE_7 */
     COM,		/* M_JMP_TRUE_8 */
     COM,		/* M_JMP_TRUE_9 */
     COM,		/* M_JMP_TRUE_10 */
     COM,		/* M_JMP_TRUE_11 */
     COM,		/* M_JMP_TRUE_12 */
     COM,		/* M_JMP_TRUE_13 */
     COM,		/* M_JMP_TRUE_14 */
     COM,		/* M_JMP_TRUE_15 */
     COM,		/* M_JMP_TRUE_16 */
     COM_A,		/* M_JMP_TRUE */
     COM_C,		/* M_LANGUAGE */
     COM_I,		/* M_LASTMES */
     COM_II,		/* M_LOAD_MAC */
     COM_IP,		/* M_MENU */
     COM_II,		/* M_MOD */
     COM_II,		/* M_MULT */
     COM,		/* M_NOT */
     COM_I,		/* M_NULL_COUNTER */
     COM,		/* M_POP_DELBUF */
     COM_I,		/* M_POP_INT */
     COM_II,		/* M_POP_INT_X */
     COM_I,		/* M_POSITIV_COUNTER */
     COM_IP,		/* M_PROMPT */
     COM_IP,		/* M_PROMPT_C */
     COM_I,		/* M_PUSH_INT */
     COM_II,		/* M_PUSH_INT_X */
     COM_I,		/* M_READ_REPEAT */
     COM_I,		/* M_RESET_USER_MODE */
     COM,		/* M_SCREEN_OFF */
     COM,		/* M_SCREEN_ON */
     COM_II,		/* M_SET_COPY */
     COM_I,		/* M_SET_COUNTER_M16 */
     COM_I,		/* M_SET_COUNTER_M15 */
     COM_I,		/* M_SET_COUNTER_M14 */
     COM_I,		/* M_SET_COUNTER_M13 */
     COM_I,		/* M_SET_COUNTER_M12 */
     COM_I,		/* M_SET_COUNTER_M11 */
     COM_I,		/* M_SET_COUNTER_M10 */
     COM_I,		/* M_SET_COUNTER_M9 */
     COM_I,		/* M_SET_COUNTER_M8 */
     COM_I,		/* M_SET_COUNTER_M7 */
     COM_I,		/* M_SET_COUNTER_M6 */
     COM_I,		/* M_SET_COUNTER_M5 */
     COM_I,		/* M_SET_COUNTER_M4 */
     COM_I,		/* M_SET_COUNTER_M3 */
     COM_I,		/* M_SET_COUNTER_M2 */
     COM_I,		/* M_SET_COUNTER_M1 */
     COM_I,		/* M_SET_COUNTER_0 */
     COM_I,		/* M_SET_COUNTER_1 */
     COM_I,		/* M_SET_COUNTER_2 */
     COM_I,		/* M_SET_COUNTER_3 */
     COM_I,		/* M_SET_COUNTER_4 */
     COM_I,		/* M_SET_COUNTER_5 */
     COM_I,		/* M_SET_COUNTER_6 */
     COM_I,		/* M_SET_COUNTER_7 */
     COM_I,		/* M_SET_COUNTER_8 */
     COM_I,		/* M_SET_COUNTER_9 */
     COM_I,		/* M_SET_COUNTER_10 */
     COM_I,		/* M_SET_COUNTER_11 */
     COM_I,		/* M_SET_COUNTER_12 */
     COM_I,		/* M_SET_COUNTER_13 */
     COM_I,		/* M_SET_COUNTER_14 */
     COM_I,		/* M_SET_COUNTER_15 */
     COM_I,		/* M_SET_COUNTER_16 */
     COM_II,		/* M_SET_COUNTER */
     COM_I,		/* M_SET_USER_MODE */
     COM_II,		/* M_SET_USER_MODE_NUMB */
     COM_I,		/* M_SHOW_CURSOR */
     COM_I,		/* M_STORE_LINE_NO */
     COM_I,		/* M_STORE_MARK */
     COM_II,		/* M_SUM_COUNTER */
     COM_I,		/* M_SW_KBD */
     COM_I,		/* M_S_ENTERED */
     COM,		/* M_TEST_AUTO */
     COM,		/* M_TEST_ECHO */
     COM,		/* M_TEST_FOLD */
     COM,		/* M_TEST_HASH */
     COM,		/* M_TEST_OVER */
     COM,		/* M_TEST_VERBOSE */
     COM,		/* M_TEST_VIEW */
     COM,		/* M_TEXTLINE */
     COM,		/* O_BELL */
     COM,		/* O_BELL_VISIBLE */
     COM,		/* O_DEF_FIX */
     COM,		/* O_DEF_MACRO */
     COM,		/* O_REP_0 */
     COM,		/* O_REP_1 */
     COM,		/* O_REP_2 */
     COM,		/* O_REP_3 */
     COM,		/* O_REP_4 */
     COM,		/* O_REP_5 */
     COM,		/* O_REP_6 */
     COM,		/* O_REP_7 */
     COM,		/* O_REP_8 */
     COM,		/* O_REP_9 */
     COM,		/* O_UNCHANGE */
     COM,		/* O_UNDEL_CHAR */
     COM,		/* O_CALL_FIX */
     COM,		/* O_EXE_MACRO */
     COM
   };
#else
   extern COM_TYPES cmd_type[];
#endif
