/* This file is generated automatically by awk -f msg2dot_h.awk */
/* containing string definitions */
/*{{{  length data*/
#ifdef GETMSG_C
#  ifdef CR_LF_MSG
#    define MSG_ADDITIONAL 3
#  else
#    define MSG_ADDITIONAL 2
#  endif
#endif

#define MSG_LENGTH 80
/*}}}*/
/*{{{  msgtyp*/
typedef enum {
  M_BASE_FORMAT=0,
  ATTENTION,
  D_COMMA,
  D_EOLN,
  D_SOLN,
  F_ADD_PATH,
  F_DEMAND,
  F_F_FAILED,
  F_INFO_1,
  F_INFO_2,
  F_INT_OCL,
  F_LOADING,
  F_NO_DEFINE,
  F_NO_OPEN,
  F_NO_TERMCAP,
  F_SIZE_FILE,
  F_SUBSTITUTIONS,
  F_TCFF,
  F_TCG_F,
  F_TCS_F,
  F_TERMA,
  F_TERMB,
  F_VM_FAIL,
  F_WRITING,
  I_YES,
  I_NO,
  M_DSP,
  I_QUIT,
  I_8BIT,
  I_OCTAL,
  I_DECIMAL,
  I_HEX,
  I_MARK,
  I_INVERS,
  I_NUMBER,
  I_TAB,
  I_PLAIN,
  I_ALL,
  M_ANY_Q,
  I_NEXT_PAGE,
  I_NEWLINE,
  I_BACK,
  I_FILTER,
  I_SEARCH,
  I_KILL,
  M_Q_R_PROMPT,
  I_DO_REST,
  I_AB,
  I_DO_AB,
  M_ABORTED,
  M_ACF_LINE,
  M_ACF_MSG,
  M_ARG,
  M_AUTO_SAVED,
  M_BOTTOM,
  M_BYE,
  M_CANTOPEN,
  M_CANTWRITE,
  M_CHANGED_LEAVE,
  M_CHANGED_SAVE,
  M_CLOSE_FAILED,
  M_CO_END,
  M_CO_START,
  M_DIRTY_FOLD,
  M_DIR_EDIT,
  M_END,
  M_ERR_PO,
  M_EXE_EXE,
  M_FAILED,
  M_FAILED_TERMINAL,
  M_FF_COPY,
  M_FILENAME,
  M_FILEPO,
  M_FIX_EXE,
  M_FI_FAILED,
  M_FOLDERR,
  M_FORKFAIL,
  M_GOTO,
  M_HF,
  M_INDENT_CRASH,
  M_KBD_PIPE_FAILED,
  M_KEY_BUFF_FULL,
  M_KILLING,
  M_LEAVE_INMOS,
  M_LIST,
  M_LONG_LINE,
  M_LONG_LINE_SPLIT,
  M_MAIL_1,
  M_MAIL_2,
  M_MAIL_3,
  M_MAIL_S,
  M_MARK_PATTERN,
  M_MULT_EDIT,
  M_NEW_FILE,
  M_B_NO_MEMORY,
  M_NOFOLDKEY,
  M_NOT_BOUND,
  M_NOT_IF_TDS,
  M_NO_AREA,
  M_NO_BACK_FOLDING,
  M_NO_BUFFERS,
  M_NO_CHANGE,
  M_NO_ENTER_LIST_FF,
  M_NO_FF_COPY,
  M_NO_JOB,
  M_NO_KTAB,
  M_NO_OUTFILE,
  M_NO_PICK,
  M_NO_SAVE_CANCEL,
  M_NO_SIMPLE_FOLD,
  M_NO_TERM,
  M_NO_TEXT,
  M_NO_TOP,
  M_NO_TOP_AUTO_SAVE,
  M_NO_UNDEL,
  M_NULL_CRASH,
  M_READ,
  M_READING,
  M_REG_EXP,
  M_REG_PAT,
  M_REPLACE,
  M_RF,
  M_SEARCH,
  M_SHELL_CREATED,
  M_SH_COMMAND,
  M_STACK_OVER,
  M_SUSPEND,
  M_TABSIZE,
  M_TDS_CRASH,
  M_TDS_LONG_LINE,
  M_TOP,
  M_TRAIL_SPACE,
  M_USE_EXIT,
  M_VIEW,
  M_WHICH_FIX,
  M_WIN_CHANGED,
  M_WRITING,
  M_WRITTEN,
  M_XY_LONG,
  M_XYS_LONG,
  M_XY_SHORT,
  M_XYS_SHORT,
  M_Y,
  T_TEST,
  NUM_MESSAGES
} msgtyp;

#define MSG_ARG_FORMAT NUM_MESSAGES
#define MSG_TEST_CHAR 'D'
/*}}}*/
/*{{{  inputs*/
#define MSG_D_COMMA            ','
#define MSG_D_EOLN             '$'
#define MSG_D_SOLN             ' '
#define MSG_I_YES              'Y'
#define MSG_I_NO               'N'
#define MSG_I_QUIT             'Q'
#define MSG_I_8BIT             '8'
#define MSG_I_OCTAL            'O'
#define MSG_I_DECIMAL          'D'
#define MSG_I_HEX              'H'
#define MSG_I_MARK             'M'
#define MSG_I_INVERS           'I'
#define MSG_I_NUMBER           'N'
#define MSG_I_TAB              'T'
#define MSG_I_PLAIN            'P'
#define MSG_I_ALL              'A'
#define MSG_I_NEXT_PAGE        ' '
#define MSG_I_NEWLINE          'n'
#define MSG_I_BACK             'B'
#define MSG_I_FILTER           'F'
#define MSG_I_SEARCH           'S'
#define MSG_I_KILL             'K'
#define MSG_I_DO_REST          '!'
#define MSG_I_AB               'A'
#define MSG_I_DO_AB            '.'
/*}}}*/
/*{{{  strs*/
#define STR_F_ALARM "invalid auto-save time (%d<=x<=%d)"
#define STR_EDT_FILE "editor files"
#define STR_EOF "EOF"
#define STR_INV_FOLD "invalid fold decode"
#define STR_INV_TOK "invalid token"
#define STR_INV_VAR "invalid var"
#define STR_KEYTABLE "invalid keytable"
#define STR_M_F_BEG "fold-begin"
#define STR_M_F_END "fold-end"
#define STR_M_F_LIN "fold-line"
#define STR_M_F_NAM "fold-name"
#define STR_M_KP "invalid keypad state"
#define STR_M_LINE "invalid/multiple line"
#define STR_M_MARK "multiple mark types"
#define STR_M_NORCCHANGE "-k after -O is not allowed"
#define STR_M_VN "invalid table-size"
#define STR_MISSING "missing"
#define STR_POP_EMPTY_STACK "pop empty stack"
#define STR_WINSIZE "window size (li/co)"
#define STR_F_A "[fullshift on]"
#define STR_F_D "[fullshift off]"
#define STR_V_A "[verbose on]"
#define STR_V_D "[verbose off]"
#define STR_E_A "[echo on]"
#define STR_E_D "[echo off]"
/*}}}*/
/*{{{  msg*/
#ifdef MESSAGES_C
#  define MSG_CLARG_DEFAULT_NAME "default-name"
#  define MSG_CLARG_DELAY "delay"
#  define MSG_CLARG_DSP_MODE "display-mode"
#  define MSG_CLARG_FILES "files"
#  define MSG_CLARG_LINES "lines"
#  define MSG_CLARG_LLINES "local-lines"
#  define MSG_CLARG_MARK "marks"
#  define MSG_CLARG_MASTR "match"
#  define MSG_CLARG_MNAME "markname"
#  define MSG_CLARG_MSTRING "markstrings"
#  define MSG_CLARG_NAME "name"
#  define MSG_CLARG_NBASE "namebase"
#  define MSG_CLARG_NMASTR "nomatch"
#  define MSG_CLARG_NUMBER "number"
#  define MSG_CLARG_OCLV "ocl-value"
#  define MSG_CLARG_OSO "os-options"
#  define MSG_CLARG_RC "rcpath"
#  define MSG_CLARG_SHELL "shell"
#  define MSG_CLARG_STATE "state"
#  define MSG_CLARG_STRING "string"
#  define MSG_CLARG_TAB "tab-width"
#  define MSG_CLARG_VALUE "value"
#  define MSG_CLARG_WIDTH "width"
#  define MSG_CLARG_WINNAME "window-name"
#  define MSG_CLOP_A "open the list of files, instead of first file"
#  define MSG_CLOP_C "disable copyright message"
#  define MSG_CLOP_D "dump core on crash"
#  define MSG_CLOP_F "specify regular expression, for ignored diredit files"
#  define MSG_CLOP_IGNORE "ignored"
#  define MSG_CLOP_K "N/A, to choose numerical or application keypad mode"
#  define MSG_CLOP_M "like -m, but give strings directly (begin/file/line/end)"
#  define MSG_CLOP_N "specify the local table for virtual text handling"
#  define MSG_CLOP_O "specify startup-value for OCL-variable '" OCL_ARG_V "'"
#  define MSG_CLOP_P "do not open the controling terminal, if stdin is not"
#  define MSG_CLOP_R "pathlist for rc,help and msg-file"
#  define MSG_CLOP_S "shell-commands use shell, pipe-commands are disabled"
#  define MSG_CLOP_T "specify window name, after exiting Origami"
#  define MSG_CLOP_V "verbose-mode"
#  define MSG_CLOP_W "display name in front of the filename in the statusline"
#  define MSG_CLOP_Z "disable suspend-origami"
#  define MSG_CLOP_a "specify time between auto-saves (%d<=" MSG_CLARG_DELAY "<=%d,default=%d)"
#  define MSG_CLOP_d "specify display mode"
#  define MSG_CLOP_e "echoing keyboard input on"
#  define MSG_CLOP_f "specify regular expression, for allowed diredit files"
#  define MSG_CLOP_h "this message"
#  define MSG_CLOP_i "show ctrl-chars inverse"
#  define MSG_CLOP_k "specify other rc-file"
#  define MSG_CLOP_l "specify first position in file"
#  define MSG_CLOP_m "specify other marks for fold-display"
#  define MSG_CLOP_n "load files without fold-parsing"
#  define MSG_CLOP_o "start in overwrite-mode"
#  define MSG_CLOP_p "use c-preprocessor-mode"
#  define MSG_CLOP_t "specify the size of tabs"
#  define MSG_CLOP_v "start in view-mode"
#  define MSG_DETAILS "use -h for more details"
#  define MSG_DOC_PATH "document path:		%s" PATH_SEP "doc\n"
#  define MSG_M_CP_DOC "\nSee in directory %s" PATH_SEP "doc for more information.\n"
#  define MSG_M_CP_INFO "Originally by Martin Green, Ferranti Ltd, Cheadle Heath, Stockport, England\nConverted from Pascal and modified by Charlie Lawrence, Eastman Kodak Co.\nConsiderably improved by Michael Haardt and Wolfgang Stumvoll, Aachen\n"
#  define MSG_M_FM "invalid fold marks"
#  define MSG_M_INVALID_PATH "invalid value for " ORIPATH "\n"
#  define MSG_M_INV_OCL "invalid ocl-argument initialization %s:%s"
#  define MSG_M_IN_MES "inproper msg-file (line %d, magic %c expected, linelength %d+1):\nfile:	%s\nread:	>%s<\n"
#  define MSG_M_MIS_MES "missing msg-file"
#  define MSG_M_NOT_HERE "[function not available in this version]"
#  define MSG_M_NO_MALLOC "[running out of memory]"
#  define MSG_M_NO_MEMORY "not enough memory"
#  define MSG_NO_PLACE "none"
#  define MSG_OPTIONS "options"
#  define MSG_OPT_ARE "options are"
#  define MSG_PATHS "default rc pathlist:    %s\nmsg file:               %s\nrc file:                %s\nhelp file:              %s\n"
#  define MSG_USAGE "Usage:"
#endif
/*}}}*/
