/*{{{}}}*/
/*{{{  readtags*/
typedef enum
 { RC_ERROR=0,
   RC_ENDE,
   RC_CONST,
   RC_M_TAB,
   RC_DEFKEY,
   RC_MAC_SET,
   RC_INITMACRO,
   RC_LOADMACRO,
   RC_MARKS,
   RC_MODE,
   RC_BIND,
   RC_CHARSET,
   RC_TERMALIAS,
   RC_OS_EXTENSION,
   RC_COMMENT,
   RC_STRINGS,
   RC_REF_COMP_STR,
   RC_COUNT_TAGS
 } readtags;
/*}}}  */
/*{{{  bindinglist and refcard coding*/
/*{{{  class ids*/
#define ref_kbd 0
#define abort_kbd 1
#define mouse_kbd 2
#define usr_kbd 3
#define ref_class_id (RC_CLASS_MAX+1)
#define ref_file_id (ref_class_id+1)
/*}}}  */
/*{{{  reference coding and compressing*/
/*{{{  wordlist for compress*/
#include "rc_comp_str.h"
/*}}}  */
/*{{{  ref_node_tags*/
typedef enum
 { REF_CODE_LWORD='\01',
   REF_CODE_UWORD,
   REF_CODE_SPACES='\033',
   REF_CODE_CHARS,
   REF_CODE_C,
   REF_CODE_M,
   REF_NODE_LIMITER=REF_LIM_CHAR,
   REF_NODE_ALIAS,
   REF_COUNT_BASE,
   REF_MODULO=((int)O_NOP-REF_COUNT_BASE)
 } ref_node_tags;
/*}}}  */
/*{{{  ref_node/ref_format*/
#define ref_format_str(text) "%s"REF_LIM_TXT text"\n"
#define ref_node_str(bind) ref_format_str("%-35.*s "bind)
/*}}}  */
/*}}}  */
/*}}}  */
/*{{{  rc-format-check*/
#ifdef I_RC_CHECK
#  define RC_CHECK              \
      ( 0x7fff                  \
       &( (int)O_RETURN         \
         ^(int)O_EXE_MACRO      \
         ^(int)O_QUIT           \
         ^(int)RC_COUNT_TAGS    \
         ^(int)NUM_MESSAGES     \
         ^(int)undefined_set    \
         ^(int)user_history     \
         ^(int)MODE_COUNT       \
         ^(int)NO_OCL_CMD_OPTS  \
         ^(int)FOLD_PATTERN_LEN \
         ^(int)TOKEN_TYPE_CHECK \
         ^(int)user_history     \
         ^(int)RC_CLASS_MAX     \
         ^(int)REF_NODE_ALIAS   \
        )                       \
      )
#endif
/*}}}  */
