/*{{{}}}*/
/*{{{  #includes*/
#include <stdio.h>

#define MISC_C

#include "keybind.h"
/*}}}  */

/*{{{  list all keywords/operations*/
public void sc_list_keys(void)
{
  /*{{{  all operations known in origami*/
  { KEYNAME *key=bindings;
    while (key->name) printf("%s\n",(key++)->name);
  }
  /*}}}  */
  /*{{{  all asm-operations known in origami*/
  { KEYNAME const *key=asm_token;

    while (key->name)
       printf("%s\n",(key++)->name);
  }
  /*}}}  */
  /*{{{  all keywords known from keybind*/
  { keywords const *key=keytab;

    while (key->value != ERROR)
       printf("%s\n",(key++)->name);
  }
  /*}}}  */
  /*{{{  msg*/
  { int m=0;

    while (msg_list[m]) { if (msg_list[m][0]!='(')printf("%s\n",msg_list[m]);m++; }
  }
  /*}}}  */
  name_list();
  /*{{{  vars*/
  init_vars(def_dummy_vars);
  { VARS_LIST const *v=var_list;

    while (v)
     { if (v->var_name[0]!='(')
          printf("%s\n",v->var_name);
       v=v->next;
     }
  }
  /*}}}  */
}
/*}}}  */
