#ifndef MESSAGES_C
/*{{{  single names*/
public unsigned char const if_u_name[]="if-using";
public unsigned char const fi_name[]="fi";
public unsigned char const end_ref[]="reference-end";
public unsigned char const include_name[]="include";
/*}}}*/
/*{{{  bindings*/
#define N_bindings 116
#define S_bindings 64
public KEYNAME bindings[]={
  {(unsigned char*)"abort",O_BREAK,1},
  {(unsigned char*)"add-mode-autosave",O_A_AUTO_SAVE,1},
  {(unsigned char*)"add-mode-basic-regular-expression",O_A_B_REGEXP,1},
  {(unsigned char*)"add-mode-echo",O_A_ECHO,1},
  {(unsigned char*)"add-mode-extended-regular-expression",O_A_X_REGEXP,1},
  {(unsigned char*)"add-mode-full-shift",O_A_FULLSHIFT,1},
  {(unsigned char*)"add-mode-hash-shift",O_A_HASH,1},
  {(unsigned char*)"add-mode-no-parse",O_A_NOPARSE,1},
  {(unsigned char*)"add-mode-overwrite",O_A_OVER,1},
  {(unsigned char*)"add-mode-position",O_A_POSI,1},
  {(unsigned char*)"add-mode-time",O_A_TIME,1},
  {(unsigned char*)"add-mode-verbose",O_A_VERBOSE,1},
  {(unsigned char*)"add-mode-view",O_A_VIEW,1},
  {(unsigned char*)"auto-header",O_FIRST_LINE_TO_FOLD_H,1},
  {(unsigned char*)"backward-character",O_LEFT,1},
  {(unsigned char*)"beginning-of-fold",O_TOP_OF_FOLD,1},
  {(unsigned char*)"beginning-of-line",O_START_OF_LINE,1},
  {(unsigned char*)"bell",O_BELL,1},
  {(unsigned char*)"case-character-toggle",O_TOGGLE_CASE,1},
  {(unsigned char*)"center-and-redraw-display",O_REFRESH,1},
  {(unsigned char*)"change-buffername",O_RENAME_FILE,1},
  {(unsigned char*)"change-fold-mark",O_CHANGE_MARK,1},
  {(unsigned char*)"close-fold",O_CLOSE_FOLD,1},
  {(unsigned char*)"copy-to-kill-buffer",O_COPY_PICK,1},
  {(unsigned char*)"create-fold",O_CREATE_FOLD,1},
  {(unsigned char*)"define-macro",O_DEF_MACRO,1},
  {(unsigned char*)"delete-line",O_DEL_LINE,1},
  {(unsigned char*)"delete-mode-autosave",O_D_AUTO_SAVE,1},
  {(unsigned char*)"delete-mode-echo",O_D_ECHO,1},
  {(unsigned char*)"delete-mode-full-shift",O_D_FULLSHIFT,1},
  {(unsigned char*)"delete-mode-hash-shift",O_D_HASH,1},
  {(unsigned char*)"delete-mode-no-parse",O_D_NOPARSE,1},
  {(unsigned char*)"delete-mode-overwrite",O_D_OVER,1},
  {(unsigned char*)"delete-mode-position",O_D_POSI,1},
  {(unsigned char*)"delete-mode-regular-expression",O_D_REGEXP,1},
  {(unsigned char*)"delete-mode-time",O_D_TIME,1},
  {(unsigned char*)"delete-mode-verbose",O_D_VERBOSE,1},
  {(unsigned char*)"delete-mode-view",O_D_VIEW,1},
  {(unsigned char*)"delete-previous-character",O_DELETE,1},
  {(unsigned char*)"describe-bindings",O_DESCRIBE_BINDINGS,1},
  {(unsigned char*)"describe-fold",O_FOLD_INFO,1},
  {(unsigned char*)"double-line",O_COPY,1},
  {(unsigned char*)"end-of-fold",O_BOT_OF_FOLD,1},
  {(unsigned char*)"end-of-line",O_END_OF_LINE,1},
  {(unsigned char*)"enter-fold",O_ENTER_FOLD,1},
  {(unsigned char*)"enter-list-file",O_ENTER_NO_FILE,1},
  {(unsigned char*)"execute-macro",O_EXE_MACRO,1},
  {(unsigned char*)"execute-number-macro",O_CALL_FIX,1},
  {(unsigned char*)"exit-buffer",O_QUIT,1},
  {(unsigned char*)"exit-fold",O_EXIT_FOLD,1},
  {(unsigned char*)"filename-completion",O_FILE_C,1},
  {(unsigned char*)"filter-buffer",O_FILTER_BUFFER,1},
  {(unsigned char*)"filter-line",O_FILTER_LINE,1},
  {(unsigned char*)"forward-character",O_RIGHT,1},
  {(unsigned char*)"goto-line",O_GOTO_LINE,1},
  {(unsigned char*)"grow-buffer",O_GROW_BUFFER,1},
  {(unsigned char*)"help",O_HELP,1},
  {(unsigned char*)"incremental-search-forward",O_ITS_SEARCH,1},
  {(unsigned char*)"incremental-search-reverse",O_ITS_REVERSE,1},
  {(unsigned char*)"insert-file",O_INSERT_FILE,1},
  {(unsigned char*)"insert-folded-kill-buffer",O_PUT_PICK,1},
  {(unsigned char*)"kill-line",O_PICK,1},
  {(unsigned char*)"move-line",O_MOVE,1},
  {(unsigned char*)"narrow-buffer",O_SHRINK_W_BUFFER,1},
  {(unsigned char*)"newline-and-indent",O_RETURN,1},
  {(unsigned char*)"next-line",O_DOWN,1},
  {(unsigned char*)"next-page",O_PAGE_DOWN,1},
  {(unsigned char*)"no-operation",O_NOP,1},
  {(unsigned char*)"open-adjacent-buffer",O_OPEN_W_BUFFER,1},
  {(unsigned char*)"open-buffer",O_OPEN_BUFFER,1},
  {(unsigned char*)"open-fold",O_OPEN_FOLD,1},
  {(unsigned char*)"open-list-adjacent-buffer",O_OPEN_LIST_W_BUFFER,1},
  {(unsigned char*)"open-list-buffer",O_OPEN_LIST_BUFFER,1},
  {(unsigned char*)"pipe-from-command",O_PIPE_FROM_COMMAND,1},
  {(unsigned char*)"pipe-to-command",O_PIPE_TO_COMMAND,1},
  {(unsigned char*)"previous-line",O_UP,1},
  {(unsigned char*)"previous-page",O_PAGE_UP,1},
  {(unsigned char*)"query-replace-string",O_QUERY_REPLACE,1},
  {(unsigned char*)"quote-character",K_QUOTE,1},
  {(unsigned char*)"read-file",O_OPEN_NEW_FILE,1},
  {(unsigned char*)"read-list-file",O_OPEN_LIST_FILE,1},
  {(unsigned char*)"redraw-display",O_FLUSH,1},
  {(unsigned char*)"refresh-line",O_PROMPT,1},
  {(unsigned char*)"replace-string",O_REPLACE,1},
  {(unsigned char*)"save-and-exit-buffer",O_FINISH,1},
  {(unsigned char*)"save-file",O_SAVE_FILE,1},
  {(unsigned char*)"save-keyboard-macro",O_DEF_FIX,1},
  {(unsigned char*)"search-forward",O_FIND,1},
  {(unsigned char*)"search-reverse",O_FIND_REVERSE,1},
  {(unsigned char*)"set-argument-0",O_REP_0,1},
  {(unsigned char*)"set-argument-1",O_REP_1,1},
  {(unsigned char*)"set-argument-2",O_REP_2,1},
  {(unsigned char*)"set-argument-3",O_REP_3,1},
  {(unsigned char*)"set-argument-4",O_REP_4,1},
  {(unsigned char*)"set-argument-5",O_REP_5,1},
  {(unsigned char*)"set-argument-6",O_REP_6,1},
  {(unsigned char*)"set-argument-7",O_REP_7,1},
  {(unsigned char*)"set-argument-8",O_REP_8,1},
  {(unsigned char*)"set-argument-9",O_REP_9,1},
  {(unsigned char*)"set-display-mode",O_DSP,1},
  {(unsigned char*)"set-file-unchanged",O_UNCHANGE,1},
  {(unsigned char*)"set-language",O_LANGUAGE,1},
  {(unsigned char*)"shell",O_SHELL,1},
  {(unsigned char*)"shell-command",O_SHELL_COMMAND,1},
  {(unsigned char*)"shrink-buffer",O_SHRINK_BUFFER,1},
  {(unsigned char*)"status-line-off",O_TITLE_HIDE,1},
  {(unsigned char*)"status-line-on",O_TITLE_SHOW,1},
  {(unsigned char*)"suspend-origami",O_SUSPEND,1},
  {(unsigned char*)"toggle-attach-file-to-fold",O_ATTACH_FILE,1},
  {(unsigned char*)"toggle-file-fold",O_FILE_FOLD,1},
  {(unsigned char*)"undo-delete-character",O_UNDEL_CHAR,1},
  {(unsigned char*)"undo-delete-line",O_UNDEL_LINE,1},
  {(unsigned char*)"unfold-fold",O_REMOVE_FOLD,1},
  {(unsigned char*)"visible-bell",O_BELL_VISIBLE,1},
  {(unsigned char*)"widen-buffer",O_GROW_W_BUFFER,1},
  {(unsigned char*)"write-file",O_WRITE_FILE,1},
  {0,0,0}
};
/*}}}*/
/*{{{  keytab*/
#define N_keytab 153
#define S_keytab 128
public keywords const keytab[]={
  {(unsigned char*)":::F",INCLUDE},
  {(unsigned char*)"abort-macro",DEFAB},
  {(unsigned char*)"add-counter",ADD_COUNTER},
  {(unsigned char*)"alias",KEYALIAS},
  {(unsigned char*)"and",AND},
  {(unsigned char*)"autosave-macro",DEFAUTOSAVE},
  {(unsigned char*)"begin-prompt-macro",PRO_IN},
  {(unsigned char*)"buffer-from-position",DECODE_BUFFER},
  {(unsigned char*)"case",CASE},
  {(unsigned char*)"change-buffer-macro",B_CHG_MAC},
  {(unsigned char*)"change-fold-type",CHANGE_FOLD},
  {(unsigned char*)"counter",COUNTER},
  {(unsigned char*)"defassembler",DEFASM},
  {(unsigned char*)"default",DEFAULT},
  {(unsigned char*)"defbinding",BINDNAME},
  {(unsigned char*)"deffun",DEFMACRO},
  {(unsigned char*)"defmac",DEFOP},
  {(unsigned char*)"defmark",DEFMARK},
  {(unsigned char*)"defmodes",MULTIKBD},
  {(unsigned char*)"defmodestring",DEFMODE},
  {(unsigned char*)"defset",DEFSET},
  {(unsigned char*)"defusermacros",DEFMYFIX},
  {(unsigned char*)"defvar",DEFVAR},
  {(unsigned char*)"demand-load",DEMAND},
  {(unsigned char*)"div",DIV},
  {(unsigned char*)"do",DO},
  {(unsigned char*)"echo-byte",ECHO_B},
  {(unsigned char*)"echo-string",ECHO_P},
  {(unsigned char*)"else",ELSE},
  {(unsigned char*)"end-prompt-macro",PRO_OUT},
  {(unsigned char*)"error",OPP_ERROR},
  {(unsigned char*)"esac",ESAC},
  {(unsigned char*)"eval",EVAL},
  {(unsigned char*)"execute-fix-macro",EXMAC},
  {(unsigned char*)"exit",EXIT},
  {(unsigned char*)"false",FALSE_SYM},
  {(unsigned char*)"fi",FI},
  {(unsigned char*)"file-type",FILETYPE},
  {(unsigned char*)"fold-comment-end",FOLD_E},
  {(unsigned char*)"fold-comment-end-length",FOLD_EL},
  {(unsigned char*)"fold-comment-start",FOLD_S},
  {(unsigned char*)"fold-comment-start-length",FOLD_SL},
  {(unsigned char*)"fold-mark-begin",FOLD_M1},
  {(unsigned char*)"fold-mark-end",FOLD_M2},
  {(unsigned char*)"fold-mark-file",FOLD_M3},
  {(unsigned char*)"fold-mark-line",FOLD_M4},
  {(unsigned char*)"forward",FORWARD},
  {(unsigned char*)"get-history",HISTORY_GET},
  {(unsigned char*)"getenv",GETENV},
  {(unsigned char*)"goto",GOTO_COUNTER},
  {(unsigned char*)"goto-buffer-id",GOTO_BUFFER_ID},
  {(unsigned char*)"goto-buffer-number",GOTO_BUFFER},
  {(unsigned char*)"goto-counter",GOTO_COUNTER},
  {(unsigned char*)"goto-line-counter",GOTO_Y},
  {(unsigned char*)"goto-line-mark",GOTO_MARK},
  {(unsigned char*)"history",HISTORY},
  {(unsigned char*)"history-edit",HISTORY_EDIT},
  {(unsigned char*)"history-edit-filename",HISTORY_EDIT_F},
  {(unsigned char*)"history-edit-line",HISTORY_EDIT_L},
  {(unsigned char*)"if",IF},
  {(unsigned char*)"if-using",COMPIF},
  {(unsigned char*)"in-prompt",EDITING},
  {(unsigned char*)"initfun",INITMACRO},
  {(unsigned char*)"insert-ascii",INSERT_ASCII},
  {(unsigned char*)"key-not-bound-macro",KNBM},
  {(unsigned char*)"keybind",KEYDEF},
  {(unsigned char*)"last-message",LASTMES},
  {(unsigned char*)"lib",LIB},
  {(unsigned char*)"line",LINENO},
  {(unsigned char*)"line-limiter",LINEEND},
  {(unsigned char*)"load-function",LOAD},
  {(unsigned char*)"local",LOC},
  {(unsigned char*)"menu-counter",MENU},
  {(unsigned char*)"message",MESSAGE},
  {(unsigned char*)"message-exit",MES_EXIT},
  {(unsigned char*)"mode",KBD},
  {(unsigned char*)"mode-limiter",MODE_COMMA},
  {(unsigned char*)"modulo",MOD},
  {(unsigned char*)"mouse-buttons",MOUSEMAP},
  {(unsigned char*)"not",NOT},
  {(unsigned char*)"or",OR},
  {(unsigned char*)"os-extension",OS_EXT},
  {(unsigned char*)"overload-prefix",OVER_PRE},
  {(unsigned char*)"pop-delete-buffer",POP_DELBUFF},
  {(unsigned char*)"pre",PRE},
  {(unsigned char*)"prompt",PROMPT},
  {(unsigned char*)"prompt-char-counter",PROMPT_CHAR},
  {(unsigned char*)"prompt-counter",PROMPT_COUNTER},
  {(unsigned char*)"rc-comment",COMMENT},
  {(unsigned char*)"read-newfile-macro",DEFAUTO},
  {(unsigned char*)"read-repeat",READ_REPEAT},
  {(unsigned char*)"reference-begin",STARTREF},
  {(unsigned char*)"reference-begin-class",STARTREF_NO},
  {(unsigned char*)"reference-compress",REF_COMP},
  {(unsigned char*)"repeat",REPEAT},
  {(unsigned char*)"reset-user-mode",RESET_U_M},
  {(unsigned char*)"restore-buffer-layout",RESTORE_LAYOUT},
  {(unsigned char*)"return-from-macro",RETURN},
  {(unsigned char*)"return-value-from-macro",RETVAL},
  {(unsigned char*)"save-and-exit-buffer-code",EXITCODE},
  {(unsigned char*)"save-buffer-layout",SAVE_LAYOUT},
  {(unsigned char*)"screen-off",SCROFF},
  {(unsigned char*)"screen-on",SCRON},
  {(unsigned char*)"set",SET_COUNTER},
  {(unsigned char*)"set-area",HELP_SET},
  {(unsigned char*)"set-counter",SET_COUNTER},
  {(unsigned char*)"set-cursor-line",SET_CURSOR},
  {(unsigned char*)"set-enter",SET_ENTER},
  {(unsigned char*)"set-numbered-user-mode",SET_U_M_N},
  {(unsigned char*)"set-space-enter",SET_S_ENTER},
  {(unsigned char*)"set-user-mode",SET_U_M},
  {(unsigned char*)"shift-mark",LINESTART},
  {(unsigned char*)"show-cursor",SHOW_CURSOR},
  {(unsigned char*)"sigquit-macro",DEFQUIT},
  {(unsigned char*)"sigusr1-macro",DEFU1},
  {(unsigned char*)"sigusr2-macro",DEFU2},
  {(unsigned char*)"start-list-editing",START_LIST},
  {(unsigned char*)"store-character",STORE_CHAR},
  {(unsigned char*)"store-line",STORE_Y},
  {(unsigned char*)"store-line-mark",STORE_MARK},
  {(unsigned char*)"store-pos",STORE_X},
  {(unsigned char*)"termalias",TERMALIAS},
  {(unsigned char*)"terminal",TERMINAL},
  {(unsigned char*)"test-autosave",TEST_AUTO},
  {(unsigned char*)"test-begin-fold",TEST_BEGIN_FOLD},
  {(unsigned char*)"test-begin-line",TEST_BEGIN_LINE},
  {(unsigned char*)"test-bottom",TEST_BOTTOM},
  {(unsigned char*)"test-char",TEST_CHAR_C},
  {(unsigned char*)"test-char-greater",TEST_CHAR_HIGH_C},
  {(unsigned char*)"test-char-less",TEST_CHAR_LOW_C},
  {(unsigned char*)"test-char-set",TEST_CHAR_SET},
  {(unsigned char*)"test-echo",TEST_ECHO},
  {(unsigned char*)"test-end-fold",TEST_END_FOLD},
  {(unsigned char*)"test-end-line",TEST_END_LINE},
  {(unsigned char*)"test-file-changed",TEST_CHANGED},
  {(unsigned char*)"test-filed",TEST_FILED},
  {(unsigned char*)"test-fold-line",TEST_FOLD_LINE},
  {(unsigned char*)"test-folding",TEST_GEN_FOLD},
  {(unsigned char*)"test-hash-shift",TEST_HASH},
  {(unsigned char*)"test-language",TEST_LANG},
  {(unsigned char*)"test-overwrite",TEST_OVER},
  {(unsigned char*)"test-str",TEST_STR},
  {(unsigned char*)"test-term",TEST_TERM},
  {(unsigned char*)"test-text",TEST_TEXT},
  {(unsigned char*)"test-top",TEST_TOP},
  {(unsigned char*)"test-verbose",TEST_VERBOSE},
  {(unsigned char*)"test-view",TEST_VIEW},
  {(unsigned char*)"true",TRUE_SYM},
  {(unsigned char*)"undeclare",UNDECLARE},
  {(unsigned char*)"use",COMPUSE},
  {(unsigned char*)"view-macro",VMAC},
  {(unsigned char*)"while",WHILE},
  {(unsigned char*)"write-area",HELP_W},
  {0,ERROR}
};
/*}}}*/
/*{{{  asm_token*/
#define N_asm_token 403
#define S_asm_token 256
public KEYNAME const asm_token[]={
  {(unsigned char*)"K_MOUSE",K_MOUSE,1},
  {(unsigned char*)"K_QUOTE",K_QUOTE,1},
  {(unsigned char*)"M_ADD_COUNTER",M_ADD_COUNTER,1},
  {(unsigned char*)"M_ADD_COUNTER_0",M_ADD_COUNTER_0,1},
  {(unsigned char*)"M_ADD_COUNTER_1",M_ADD_COUNTER_1,1},
  {(unsigned char*)"M_ADD_COUNTER_10",M_ADD_COUNTER_10,1},
  {(unsigned char*)"M_ADD_COUNTER_11",M_ADD_COUNTER_11,1},
  {(unsigned char*)"M_ADD_COUNTER_12",M_ADD_COUNTER_12,1},
  {(unsigned char*)"M_ADD_COUNTER_13",M_ADD_COUNTER_13,1},
  {(unsigned char*)"M_ADD_COUNTER_14",M_ADD_COUNTER_14,1},
  {(unsigned char*)"M_ADD_COUNTER_15",M_ADD_COUNTER_15,1},
  {(unsigned char*)"M_ADD_COUNTER_16",M_ADD_COUNTER_16,1},
  {(unsigned char*)"M_ADD_COUNTER_2",M_ADD_COUNTER_2,1},
  {(unsigned char*)"M_ADD_COUNTER_3",M_ADD_COUNTER_3,1},
  {(unsigned char*)"M_ADD_COUNTER_4",M_ADD_COUNTER_4,1},
  {(unsigned char*)"M_ADD_COUNTER_5",M_ADD_COUNTER_5,1},
  {(unsigned char*)"M_ADD_COUNTER_6",M_ADD_COUNTER_6,1},
  {(unsigned char*)"M_ADD_COUNTER_7",M_ADD_COUNTER_7,1},
  {(unsigned char*)"M_ADD_COUNTER_8",M_ADD_COUNTER_8,1},
  {(unsigned char*)"M_ADD_COUNTER_9",M_ADD_COUNTER_9,1},
  {(unsigned char*)"M_ADD_COUNTER_M1",M_ADD_COUNTER_M1,1},
  {(unsigned char*)"M_ADD_COUNTER_M10",M_ADD_COUNTER_M10,1},
  {(unsigned char*)"M_ADD_COUNTER_M11",M_ADD_COUNTER_M11,1},
  {(unsigned char*)"M_ADD_COUNTER_M12",M_ADD_COUNTER_M12,1},
  {(unsigned char*)"M_ADD_COUNTER_M13",M_ADD_COUNTER_M13,1},
  {(unsigned char*)"M_ADD_COUNTER_M14",M_ADD_COUNTER_M14,1},
  {(unsigned char*)"M_ADD_COUNTER_M15",M_ADD_COUNTER_M15,1},
  {(unsigned char*)"M_ADD_COUNTER_M16",M_ADD_COUNTER_M16,1},
  {(unsigned char*)"M_ADD_COUNTER_M2",M_ADD_COUNTER_M2,1},
  {(unsigned char*)"M_ADD_COUNTER_M3",M_ADD_COUNTER_M3,1},
  {(unsigned char*)"M_ADD_COUNTER_M4",M_ADD_COUNTER_M4,1},
  {(unsigned char*)"M_ADD_COUNTER_M5",M_ADD_COUNTER_M5,1},
  {(unsigned char*)"M_ADD_COUNTER_M6",M_ADD_COUNTER_M6,1},
  {(unsigned char*)"M_ADD_COUNTER_M7",M_ADD_COUNTER_M7,1},
  {(unsigned char*)"M_ADD_COUNTER_M8",M_ADD_COUNTER_M8,1},
  {(unsigned char*)"M_ADD_COUNTER_M9",M_ADD_COUNTER_M9,1},
  {(unsigned char*)"M_ASCII",M_ASCII,1},
  {(unsigned char*)"M_BEGIN_FOLD_COMMENT",M_BEGIN_FOLD_COMMENT,1},
  {(unsigned char*)"M_BEGIN_OF_LINE",M_BEGIN_OF_LINE,1},
  {(unsigned char*)"M_BOT_OF_FOLD",M_BOT_OF_FOLD,1},
  {(unsigned char*)"M_CALL",M_CALL,1},
  {(unsigned char*)"M_CALL_0",M_CALL_0,1},
  {(unsigned char*)"M_CALL_1",M_CALL_1,1},
  {(unsigned char*)"M_CALL_10",M_CALL_10,1},
  {(unsigned char*)"M_CALL_11",M_CALL_11,1},
  {(unsigned char*)"M_CALL_12",M_CALL_12,1},
  {(unsigned char*)"M_CALL_13",M_CALL_13,1},
  {(unsigned char*)"M_CALL_14",M_CALL_14,1},
  {(unsigned char*)"M_CALL_15",M_CALL_15,1},
  {(unsigned char*)"M_CALL_16",M_CALL_16,1},
  {(unsigned char*)"M_CALL_2",M_CALL_2,1},
  {(unsigned char*)"M_CALL_3",M_CALL_3,1},
  {(unsigned char*)"M_CALL_4",M_CALL_4,1},
  {(unsigned char*)"M_CALL_5",M_CALL_5,1},
  {(unsigned char*)"M_CALL_6",M_CALL_6,1},
  {(unsigned char*)"M_CALL_7",M_CALL_7,1},
  {(unsigned char*)"M_CALL_8",M_CALL_8,1},
  {(unsigned char*)"M_CALL_9",M_CALL_9,1},
  {(unsigned char*)"M_CALL_M1",M_CALL_M1,1},
  {(unsigned char*)"M_CALL_M10",M_CALL_M10,1},
  {(unsigned char*)"M_CALL_M11",M_CALL_M11,1},
  {(unsigned char*)"M_CALL_M12",M_CALL_M12,1},
  {(unsigned char*)"M_CALL_M13",M_CALL_M13,1},
  {(unsigned char*)"M_CALL_M14",M_CALL_M14,1},
  {(unsigned char*)"M_CALL_M15",M_CALL_M15,1},
  {(unsigned char*)"M_CALL_M16",M_CALL_M16,1},
  {(unsigned char*)"M_CALL_M2",M_CALL_M2,1},
  {(unsigned char*)"M_CALL_M3",M_CALL_M3,1},
  {(unsigned char*)"M_CALL_M4",M_CALL_M4,1},
  {(unsigned char*)"M_CALL_M5",M_CALL_M5,1},
  {(unsigned char*)"M_CALL_M6",M_CALL_M6,1},
  {(unsigned char*)"M_CALL_M7",M_CALL_M7,1},
  {(unsigned char*)"M_CALL_M8",M_CALL_M8,1},
  {(unsigned char*)"M_CALL_M9",M_CALL_M9,1},
  {(unsigned char*)"M_CHANGED",M_CHANGED,1},
  {(unsigned char*)"M_CHANGE_FOLD",M_CHANGE_FOLD,1},
  {(unsigned char*)"M_CLOSED_FOLD",M_CLOSED_FOLD,1},
  {(unsigned char*)"M_DIV",M_DIV,1},
  {(unsigned char*)"M_ECHO_I",M_ECHO_I,1},
  {(unsigned char*)"M_ECHO_P",M_ECHO_P,1},
  {(unsigned char*)"M_EDITING",M_EDITING,1},
  {(unsigned char*)"M_EDIT_HISTORY",M_EDIT_HISTORY,1},
  {(unsigned char*)"M_END_FOLD_COMMENT",M_END_FOLD_COMMENT,1},
  {(unsigned char*)"M_END_MACRO",M_END_MACRO,1},
  {(unsigned char*)"M_END_OF_LINE",M_END_OF_LINE,1},
  {(unsigned char*)"M_ENTERED",M_ENTERED,1},
  {(unsigned char*)"M_ENV_CMD",M_ENV_CMD,1},
  {(unsigned char*)"M_EXIT",M_EXIT,1},
  {(unsigned char*)"M_FILED_FOLD",M_FILED_FOLD,1},
  {(unsigned char*)"M_FILETYP",M_FILETYP,1},
  {(unsigned char*)"M_FINISH",M_FINISH,1},
  {(unsigned char*)"M_FOLD_DATA",M_FOLD_DATA,1},
  {(unsigned char*)"M_GET_BUFFER",M_GET_BUFFER,1},
  {(unsigned char*)"M_GET_HISTORY",M_GET_HISTORY,1},
  {(unsigned char*)"M_GOTO_MARK",M_GOTO_MARK,1},
  {(unsigned char*)"M_GO_BUFFER",M_GO_BUFFER,1},
  {(unsigned char*)"M_GO_COUNTER_X_POS",M_GO_COUNTER_X_POS,1},
  {(unsigned char*)"M_HISTORY",M_HISTORY,1},
  {(unsigned char*)"M_INT_STRING",M_INT_STRING,1},
  {(unsigned char*)"M_INV_COUNTER",M_INV_COUNTER,1},
  {(unsigned char*)"M_JMP",M_JMP,1},
  {(unsigned char*)"M_JMP_0",M_JMP_0,1},
  {(unsigned char*)"M_JMP_1",M_JMP_1,1},
  {(unsigned char*)"M_JMP_10",M_JMP_10,1},
  {(unsigned char*)"M_JMP_11",M_JMP_11,1},
  {(unsigned char*)"M_JMP_12",M_JMP_12,1},
  {(unsigned char*)"M_JMP_13",M_JMP_13,1},
  {(unsigned char*)"M_JMP_14",M_JMP_14,1},
  {(unsigned char*)"M_JMP_15",M_JMP_15,1},
  {(unsigned char*)"M_JMP_16",M_JMP_16,1},
  {(unsigned char*)"M_JMP_2",M_JMP_2,1},
  {(unsigned char*)"M_JMP_3",M_JMP_3,1},
  {(unsigned char*)"M_JMP_4",M_JMP_4,1},
  {(unsigned char*)"M_JMP_5",M_JMP_5,1},
  {(unsigned char*)"M_JMP_6",M_JMP_6,1},
  {(unsigned char*)"M_JMP_7",M_JMP_7,1},
  {(unsigned char*)"M_JMP_8",M_JMP_8,1},
  {(unsigned char*)"M_JMP_9",M_JMP_9,1},
  {(unsigned char*)"M_JMP_FALSE",M_JMP_FALSE,1},
  {(unsigned char*)"M_JMP_FALSE_0",M_JMP_FALSE_0,1},
  {(unsigned char*)"M_JMP_FALSE_1",M_JMP_FALSE_1,1},
  {(unsigned char*)"M_JMP_FALSE_10",M_JMP_FALSE_10,1},
  {(unsigned char*)"M_JMP_FALSE_11",M_JMP_FALSE_11,1},
  {(unsigned char*)"M_JMP_FALSE_12",M_JMP_FALSE_12,1},
  {(unsigned char*)"M_JMP_FALSE_13",M_JMP_FALSE_13,1},
  {(unsigned char*)"M_JMP_FALSE_14",M_JMP_FALSE_14,1},
  {(unsigned char*)"M_JMP_FALSE_15",M_JMP_FALSE_15,1},
  {(unsigned char*)"M_JMP_FALSE_16",M_JMP_FALSE_16,1},
  {(unsigned char*)"M_JMP_FALSE_2",M_JMP_FALSE_2,1},
  {(unsigned char*)"M_JMP_FALSE_3",M_JMP_FALSE_3,1},
  {(unsigned char*)"M_JMP_FALSE_4",M_JMP_FALSE_4,1},
  {(unsigned char*)"M_JMP_FALSE_5",M_JMP_FALSE_5,1},
  {(unsigned char*)"M_JMP_FALSE_6",M_JMP_FALSE_6,1},
  {(unsigned char*)"M_JMP_FALSE_7",M_JMP_FALSE_7,1},
  {(unsigned char*)"M_JMP_FALSE_8",M_JMP_FALSE_8,1},
  {(unsigned char*)"M_JMP_FALSE_9",M_JMP_FALSE_9,1},
  {(unsigned char*)"M_JMP_FALSE_M1",M_JMP_FALSE_M1,1},
  {(unsigned char*)"M_JMP_FALSE_M10",M_JMP_FALSE_M10,1},
  {(unsigned char*)"M_JMP_FALSE_M11",M_JMP_FALSE_M11,1},
  {(unsigned char*)"M_JMP_FALSE_M12",M_JMP_FALSE_M12,1},
  {(unsigned char*)"M_JMP_FALSE_M13",M_JMP_FALSE_M13,1},
  {(unsigned char*)"M_JMP_FALSE_M14",M_JMP_FALSE_M14,1},
  {(unsigned char*)"M_JMP_FALSE_M15",M_JMP_FALSE_M15,1},
  {(unsigned char*)"M_JMP_FALSE_M16",M_JMP_FALSE_M16,1},
  {(unsigned char*)"M_JMP_FALSE_M2",M_JMP_FALSE_M2,1},
  {(unsigned char*)"M_JMP_FALSE_M3",M_JMP_FALSE_M3,1},
  {(unsigned char*)"M_JMP_FALSE_M4",M_JMP_FALSE_M4,1},
  {(unsigned char*)"M_JMP_FALSE_M5",M_JMP_FALSE_M5,1},
  {(unsigned char*)"M_JMP_FALSE_M6",M_JMP_FALSE_M6,1},
  {(unsigned char*)"M_JMP_FALSE_M7",M_JMP_FALSE_M7,1},
  {(unsigned char*)"M_JMP_FALSE_M8",M_JMP_FALSE_M8,1},
  {(unsigned char*)"M_JMP_FALSE_M9",M_JMP_FALSE_M9,1},
  {(unsigned char*)"M_JMP_M1",M_JMP_M1,1},
  {(unsigned char*)"M_JMP_M10",M_JMP_M10,1},
  {(unsigned char*)"M_JMP_M11",M_JMP_M11,1},
  {(unsigned char*)"M_JMP_M12",M_JMP_M12,1},
  {(unsigned char*)"M_JMP_M13",M_JMP_M13,1},
  {(unsigned char*)"M_JMP_M14",M_JMP_M14,1},
  {(unsigned char*)"M_JMP_M15",M_JMP_M15,1},
  {(unsigned char*)"M_JMP_M16",M_JMP_M16,1},
  {(unsigned char*)"M_JMP_M2",M_JMP_M2,1},
  {(unsigned char*)"M_JMP_M3",M_JMP_M3,1},
  {(unsigned char*)"M_JMP_M4",M_JMP_M4,1},
  {(unsigned char*)"M_JMP_M5",M_JMP_M5,1},
  {(unsigned char*)"M_JMP_M6",M_JMP_M6,1},
  {(unsigned char*)"M_JMP_M7",M_JMP_M7,1},
  {(unsigned char*)"M_JMP_M8",M_JMP_M8,1},
  {(unsigned char*)"M_JMP_M9",M_JMP_M9,1},
  {(unsigned char*)"M_JMP_TRUE",M_JMP_TRUE,1},
  {(unsigned char*)"M_JMP_TRUE_0",M_JMP_TRUE_0,1},
  {(unsigned char*)"M_JMP_TRUE_1",M_JMP_TRUE_1,1},
  {(unsigned char*)"M_JMP_TRUE_10",M_JMP_TRUE_10,1},
  {(unsigned char*)"M_JMP_TRUE_11",M_JMP_TRUE_11,1},
  {(unsigned char*)"M_JMP_TRUE_12",M_JMP_TRUE_12,1},
  {(unsigned char*)"M_JMP_TRUE_13",M_JMP_TRUE_13,1},
  {(unsigned char*)"M_JMP_TRUE_14",M_JMP_TRUE_14,1},
  {(unsigned char*)"M_JMP_TRUE_15",M_JMP_TRUE_15,1},
  {(unsigned char*)"M_JMP_TRUE_16",M_JMP_TRUE_16,1},
  {(unsigned char*)"M_JMP_TRUE_2",M_JMP_TRUE_2,1},
  {(unsigned char*)"M_JMP_TRUE_3",M_JMP_TRUE_3,1},
  {(unsigned char*)"M_JMP_TRUE_4",M_JMP_TRUE_4,1},
  {(unsigned char*)"M_JMP_TRUE_5",M_JMP_TRUE_5,1},
  {(unsigned char*)"M_JMP_TRUE_6",M_JMP_TRUE_6,1},
  {(unsigned char*)"M_JMP_TRUE_7",M_JMP_TRUE_7,1},
  {(unsigned char*)"M_JMP_TRUE_8",M_JMP_TRUE_8,1},
  {(unsigned char*)"M_JMP_TRUE_9",M_JMP_TRUE_9,1},
  {(unsigned char*)"M_JMP_TRUE_M1",M_JMP_TRUE_M1,1},
  {(unsigned char*)"M_JMP_TRUE_M10",M_JMP_TRUE_M10,1},
  {(unsigned char*)"M_JMP_TRUE_M11",M_JMP_TRUE_M11,1},
  {(unsigned char*)"M_JMP_TRUE_M12",M_JMP_TRUE_M12,1},
  {(unsigned char*)"M_JMP_TRUE_M13",M_JMP_TRUE_M13,1},
  {(unsigned char*)"M_JMP_TRUE_M14",M_JMP_TRUE_M14,1},
  {(unsigned char*)"M_JMP_TRUE_M15",M_JMP_TRUE_M15,1},
  {(unsigned char*)"M_JMP_TRUE_M16",M_JMP_TRUE_M16,1},
  {(unsigned char*)"M_JMP_TRUE_M2",M_JMP_TRUE_M2,1},
  {(unsigned char*)"M_JMP_TRUE_M3",M_JMP_TRUE_M3,1},
  {(unsigned char*)"M_JMP_TRUE_M4",M_JMP_TRUE_M4,1},
  {(unsigned char*)"M_JMP_TRUE_M5",M_JMP_TRUE_M5,1},
  {(unsigned char*)"M_JMP_TRUE_M6",M_JMP_TRUE_M6,1},
  {(unsigned char*)"M_JMP_TRUE_M7",M_JMP_TRUE_M7,1},
  {(unsigned char*)"M_JMP_TRUE_M8",M_JMP_TRUE_M8,1},
  {(unsigned char*)"M_JMP_TRUE_M9",M_JMP_TRUE_M9,1},
  {(unsigned char*)"M_LANGUAGE",M_LANGUAGE,1},
  {(unsigned char*)"M_LASTMES",M_LASTMES,1},
  {(unsigned char*)"M_LAYOUT",M_LAYOUT,1},
  {(unsigned char*)"M_LOAD_MAC",M_LOAD_MAC,1},
  {(unsigned char*)"M_MENU",M_MENU,1},
  {(unsigned char*)"M_MOD",M_MOD,1},
  {(unsigned char*)"M_MULT",M_MULT,1},
  {(unsigned char*)"M_NOT",M_NOT,1},
  {(unsigned char*)"M_NULL_COUNTER",M_NULL_COUNTER,1},
  {(unsigned char*)"M_POP_DELBUF",M_POP_DELBUF,1},
  {(unsigned char*)"M_POP_INT",M_POP_INT,1},
  {(unsigned char*)"M_POP_INT_X",M_POP_INT_X,1},
  {(unsigned char*)"M_POSITIV_COUNTER",M_POSITIV_COUNTER,1},
  {(unsigned char*)"M_POS_TO_COUNTER",M_POS_TO_COUNTER,1},
  {(unsigned char*)"M_PROMPT",M_PROMPT,1},
  {(unsigned char*)"M_PROMPT_C",M_PROMPT_C,1},
  {(unsigned char*)"M_PUSH_INT",M_PUSH_INT,1},
  {(unsigned char*)"M_PUSH_INT_X",M_PUSH_INT_X,1},
  {(unsigned char*)"M_READ_REPEAT",M_READ_REPEAT,1},
  {(unsigned char*)"M_RESET_USER_MODE",M_RESET_USER_MODE,1},
  {(unsigned char*)"M_SCREEN_OFF",M_SCREEN_OFF,1},
  {(unsigned char*)"M_SCREEN_ON",M_SCREEN_ON,1},
  {(unsigned char*)"M_SET_COPY",M_SET_COPY,1},
  {(unsigned char*)"M_SET_COUNTER",M_SET_COUNTER,1},
  {(unsigned char*)"M_SET_COUNTER_0",M_SET_COUNTER_0,1},
  {(unsigned char*)"M_SET_COUNTER_1",M_SET_COUNTER_1,1},
  {(unsigned char*)"M_SET_COUNTER_10",M_SET_COUNTER_10,1},
  {(unsigned char*)"M_SET_COUNTER_11",M_SET_COUNTER_11,1},
  {(unsigned char*)"M_SET_COUNTER_12",M_SET_COUNTER_12,1},
  {(unsigned char*)"M_SET_COUNTER_13",M_SET_COUNTER_13,1},
  {(unsigned char*)"M_SET_COUNTER_14",M_SET_COUNTER_14,1},
  {(unsigned char*)"M_SET_COUNTER_15",M_SET_COUNTER_15,1},
  {(unsigned char*)"M_SET_COUNTER_16",M_SET_COUNTER_16,1},
  {(unsigned char*)"M_SET_COUNTER_2",M_SET_COUNTER_2,1},
  {(unsigned char*)"M_SET_COUNTER_3",M_SET_COUNTER_3,1},
  {(unsigned char*)"M_SET_COUNTER_4",M_SET_COUNTER_4,1},
  {(unsigned char*)"M_SET_COUNTER_5",M_SET_COUNTER_5,1},
  {(unsigned char*)"M_SET_COUNTER_6",M_SET_COUNTER_6,1},
  {(unsigned char*)"M_SET_COUNTER_7",M_SET_COUNTER_7,1},
  {(unsigned char*)"M_SET_COUNTER_8",M_SET_COUNTER_8,1},
  {(unsigned char*)"M_SET_COUNTER_9",M_SET_COUNTER_9,1},
  {(unsigned char*)"M_SET_COUNTER_M1",M_SET_COUNTER_M1,1},
  {(unsigned char*)"M_SET_COUNTER_M10",M_SET_COUNTER_M10,1},
  {(unsigned char*)"M_SET_COUNTER_M11",M_SET_COUNTER_M11,1},
  {(unsigned char*)"M_SET_COUNTER_M12",M_SET_COUNTER_M12,1},
  {(unsigned char*)"M_SET_COUNTER_M13",M_SET_COUNTER_M13,1},
  {(unsigned char*)"M_SET_COUNTER_M14",M_SET_COUNTER_M14,1},
  {(unsigned char*)"M_SET_COUNTER_M15",M_SET_COUNTER_M15,1},
  {(unsigned char*)"M_SET_COUNTER_M16",M_SET_COUNTER_M16,1},
  {(unsigned char*)"M_SET_COUNTER_M2",M_SET_COUNTER_M2,1},
  {(unsigned char*)"M_SET_COUNTER_M3",M_SET_COUNTER_M3,1},
  {(unsigned char*)"M_SET_COUNTER_M4",M_SET_COUNTER_M4,1},
  {(unsigned char*)"M_SET_COUNTER_M5",M_SET_COUNTER_M5,1},
  {(unsigned char*)"M_SET_COUNTER_M6",M_SET_COUNTER_M6,1},
  {(unsigned char*)"M_SET_COUNTER_M7",M_SET_COUNTER_M7,1},
  {(unsigned char*)"M_SET_COUNTER_M8",M_SET_COUNTER_M8,1},
  {(unsigned char*)"M_SET_COUNTER_M9",M_SET_COUNTER_M9,1},
  {(unsigned char*)"M_SET_USER_MODE",M_SET_USER_MODE,1},
  {(unsigned char*)"M_SET_USER_MODE_NUMB",M_SET_USER_MODE_NUMB,1},
  {(unsigned char*)"M_SHOW_CURSOR",M_SHOW_CURSOR,1},
  {(unsigned char*)"M_SHOW_HELP",M_SHOW_HELP,1},
  {(unsigned char*)"M_STORE_C",M_STORE_C,1},
  {(unsigned char*)"M_STORE_LINE_NO",M_STORE_LINE_NO,1},
  {(unsigned char*)"M_STORE_MARK",M_STORE_MARK,1},
  {(unsigned char*)"M_SUM_COUNTER",M_SUM_COUNTER,1},
  {(unsigned char*)"M_SW_KBD",M_SW_KBD,1},
  {(unsigned char*)"M_S_ENTERED",M_S_ENTERED,1},
  {(unsigned char*)"M_TEST_AUTO",M_TEST_AUTO,1},
  {(unsigned char*)"M_TEST_CC",M_TEST_CC,1},
  {(unsigned char*)"M_TEST_CHAR",M_TEST_CHAR,1},
  {(unsigned char*)"M_TEST_CHAR_HIGH",M_TEST_CHAR_HIGH,1},
  {(unsigned char*)"M_TEST_CHAR_LOW",M_TEST_CHAR_LOW,1},
  {(unsigned char*)"M_TEST_CHAR_SET",M_TEST_CHAR_SET,1},
  {(unsigned char*)"M_TEST_ECHO",M_TEST_ECHO,1},
  {(unsigned char*)"M_TEST_FOLD",M_TEST_FOLD,1},
  {(unsigned char*)"M_TEST_HASH",M_TEST_HASH,1},
  {(unsigned char*)"M_TEST_H_CC",M_TEST_H_CC,1},
  {(unsigned char*)"M_TEST_L_CC",M_TEST_L_CC,1},
  {(unsigned char*)"M_TEST_OVER",M_TEST_OVER,1},
  {(unsigned char*)"M_TEST_STR",M_TEST_STR,1},
  {(unsigned char*)"M_TEST_VERBOSE",M_TEST_VERBOSE,1},
  {(unsigned char*)"M_TEST_VIEW",M_TEST_VIEW,1},
  {(unsigned char*)"M_TEXTLINE",M_TEXTLINE,1},
  {(unsigned char*)"M_TOP_OF_FOLD",M_TOP_OF_FOLD,1},
  {(unsigned char*)"M_WRITE_HELP",M_WRITE_HELP,1},
  {(unsigned char*)"O_ATTACH_FILE",O_ATTACH_FILE,1},
  {(unsigned char*)"O_AUTO_SAVE",O_AUTO_SAVE,1},
  {(unsigned char*)"O_A_AUTO_SAVE",O_A_AUTO_SAVE,1},
  {(unsigned char*)"O_A_B_REGEXP",O_A_B_REGEXP,1},
  {(unsigned char*)"O_A_ECHO",O_A_ECHO,1},
  {(unsigned char*)"O_A_FULLSHIFT",O_A_FULLSHIFT,1},
  {(unsigned char*)"O_A_HASH",O_A_HASH,1},
  {(unsigned char*)"O_A_NOPARSE",O_A_NOPARSE,1},
  {(unsigned char*)"O_A_OVER",O_A_OVER,1},
  {(unsigned char*)"O_A_POSI",O_A_POSI,1},
  {(unsigned char*)"O_A_TIME",O_A_TIME,1},
  {(unsigned char*)"O_A_VERBOSE",O_A_VERBOSE,1},
  {(unsigned char*)"O_A_VIEW",O_A_VIEW,1},
  {(unsigned char*)"O_A_X_REGEXP",O_A_X_REGEXP,1},
  {(unsigned char*)"O_BELL",O_BELL,1},
  {(unsigned char*)"O_BELL_VISIBLE",O_BELL_VISIBLE,1},
  {(unsigned char*)"O_BOT_OF_FOLD",O_BOT_OF_FOLD,1},
  {(unsigned char*)"O_BREAK",O_BREAK,1},
  {(unsigned char*)"O_CALL_FIX",O_CALL_FIX,1},
  {(unsigned char*)"O_CHANGE_MARK",O_CHANGE_MARK,1},
  {(unsigned char*)"O_CLOSE_FOLD",O_CLOSE_FOLD,1},
  {(unsigned char*)"O_COPY",O_COPY,1},
  {(unsigned char*)"O_COPY_PICK",O_COPY_PICK,1},
  {(unsigned char*)"O_CREATE_FOLD",O_CREATE_FOLD,1},
  {(unsigned char*)"O_DEF_FIX",O_DEF_FIX,1},
  {(unsigned char*)"O_DEF_MACRO",O_DEF_MACRO,1},
  {(unsigned char*)"O_DELETE",O_DELETE,1},
  {(unsigned char*)"O_DEL_LINE",O_DEL_LINE,1},
  {(unsigned char*)"O_DESCRIBE_BINDINGS",O_DESCRIBE_BINDINGS,1},
  {(unsigned char*)"O_DOWN",O_DOWN,1},
  {(unsigned char*)"O_DSP",O_DSP,1},
  {(unsigned char*)"O_D_AUTO_SAVE",O_D_AUTO_SAVE,1},
  {(unsigned char*)"O_D_ECHO",O_D_ECHO,1},
  {(unsigned char*)"O_D_FULLSHIFT",O_D_FULLSHIFT,1},
  {(unsigned char*)"O_D_HASH",O_D_HASH,1},
  {(unsigned char*)"O_D_NOPARSE",O_D_NOPARSE,1},
  {(unsigned char*)"O_D_OVER",O_D_OVER,1},
  {(unsigned char*)"O_D_POSI",O_D_POSI,1},
  {(unsigned char*)"O_D_REGEXP",O_D_REGEXP,1},
  {(unsigned char*)"O_D_TIME",O_D_TIME,1},
  {(unsigned char*)"O_D_VERBOSE",O_D_VERBOSE,1},
  {(unsigned char*)"O_D_VIEW",O_D_VIEW,1},
  {(unsigned char*)"O_END_OF_LINE",O_END_OF_LINE,1},
  {(unsigned char*)"O_ENTER_FOLD",O_ENTER_FOLD,1},
  {(unsigned char*)"O_ENTER_NO_FILE",O_ENTER_NO_FILE,1},
  {(unsigned char*)"O_EXE_MACRO",O_EXE_MACRO,1},
  {(unsigned char*)"O_EXIT_FOLD",O_EXIT_FOLD,1},
  {(unsigned char*)"O_FILE_C",O_FILE_C,1},
  {(unsigned char*)"O_FILE_FOLD",O_FILE_FOLD,1},
  {(unsigned char*)"O_FILTER_BUFFER",O_FILTER_BUFFER,1},
  {(unsigned char*)"O_FILTER_LINE",O_FILTER_LINE,1},
  {(unsigned char*)"O_FIND",O_FIND,1},
  {(unsigned char*)"O_FIND_REVERSE",O_FIND_REVERSE,1},
  {(unsigned char*)"O_FINISH",O_FINISH,1},
  {(unsigned char*)"O_FIRST_LINE_TO_FOLD_H",O_FIRST_LINE_TO_FOLD_H,1},
  {(unsigned char*)"O_FLUSH",O_FLUSH,1},
  {(unsigned char*)"O_FOLD_INFO",O_FOLD_INFO,1},
  {(unsigned char*)"O_GOTO_LINE",O_GOTO_LINE,1},
  {(unsigned char*)"O_GROW_BUFFER",O_GROW_BUFFER,1},
  {(unsigned char*)"O_GROW_W_BUFFER",O_GROW_W_BUFFER,1},
  {(unsigned char*)"O_HELP",O_HELP,1},
  {(unsigned char*)"O_INSERT_FILE",O_INSERT_FILE,1},
  {(unsigned char*)"O_ITS_REVERSE",O_ITS_REVERSE,1},
  {(unsigned char*)"O_ITS_SEARCH",O_ITS_SEARCH,1},
  {(unsigned char*)"O_LANGUAGE",O_LANGUAGE,1},
  {(unsigned char*)"O_LEFT",O_LEFT,1},
  {(unsigned char*)"O_MOVE",O_MOVE,1},
  {(unsigned char*)"O_NOP",O_NOP,1},
  {(unsigned char*)"O_OPEN_BUFFER",O_OPEN_BUFFER,1},
  {(unsigned char*)"O_OPEN_FOLD",O_OPEN_FOLD,1},
  {(unsigned char*)"O_OPEN_LIST_BUFFER",O_OPEN_LIST_BUFFER,1},
  {(unsigned char*)"O_OPEN_LIST_FILE",O_OPEN_LIST_FILE,1},
  {(unsigned char*)"O_OPEN_LIST_W_BUFFER",O_OPEN_LIST_W_BUFFER,1},
  {(unsigned char*)"O_OPEN_NEW_FILE",O_OPEN_NEW_FILE,1},
  {(unsigned char*)"O_OPEN_W_BUFFER",O_OPEN_W_BUFFER,1},
  {(unsigned char*)"O_PAGE_DOWN",O_PAGE_DOWN,1},
  {(unsigned char*)"O_PAGE_UP",O_PAGE_UP,1},
  {(unsigned char*)"O_PICK",O_PICK,1},
  {(unsigned char*)"O_PIPE_FROM_COMMAND",O_PIPE_FROM_COMMAND,1},
  {(unsigned char*)"O_PIPE_TO_COMMAND",O_PIPE_TO_COMMAND,1},
  {(unsigned char*)"O_PROMPT",O_PROMPT,1},
  {(unsigned char*)"O_PUT_PICK",O_PUT_PICK,1},
  {(unsigned char*)"O_QUERY_REPLACE",O_QUERY_REPLACE,1},
  {(unsigned char*)"O_QUIT",O_QUIT,1},
  {(unsigned char*)"O_REFRESH",O_REFRESH,1},
  {(unsigned char*)"O_REMOVE_FOLD",O_REMOVE_FOLD,1},
  {(unsigned char*)"O_RENAME_FILE",O_RENAME_FILE,1},
  {(unsigned char*)"O_REPLACE",O_REPLACE,1},
  {(unsigned char*)"O_REP_0",O_REP_0,1},
  {(unsigned char*)"O_REP_1",O_REP_1,1},
  {(unsigned char*)"O_REP_2",O_REP_2,1},
  {(unsigned char*)"O_REP_3",O_REP_3,1},
  {(unsigned char*)"O_REP_4",O_REP_4,1},
  {(unsigned char*)"O_REP_5",O_REP_5,1},
  {(unsigned char*)"O_REP_6",O_REP_6,1},
  {(unsigned char*)"O_REP_7",O_REP_7,1},
  {(unsigned char*)"O_REP_8",O_REP_8,1},
  {(unsigned char*)"O_REP_9",O_REP_9,1},
  {(unsigned char*)"O_RETURN",O_RETURN,1},
  {(unsigned char*)"O_RIGHT",O_RIGHT,1},
  {(unsigned char*)"O_SAVE_FILE",O_SAVE_FILE,1},
  {(unsigned char*)"O_SHELL",O_SHELL,1},
  {(unsigned char*)"O_SHELL_COMMAND",O_SHELL_COMMAND,1},
  {(unsigned char*)"O_SHRINK_BUFFER",O_SHRINK_BUFFER,1},
  {(unsigned char*)"O_SHRINK_W_BUFFER",O_SHRINK_W_BUFFER,1},
  {(unsigned char*)"O_START_OF_LINE",O_START_OF_LINE,1},
  {(unsigned char*)"O_SUSPEND",O_SUSPEND,1},
  {(unsigned char*)"O_TITLE_HIDE",O_TITLE_HIDE,1},
  {(unsigned char*)"O_TITLE_SHOW",O_TITLE_SHOW,1},
  {(unsigned char*)"O_TOGGLE_CASE",O_TOGGLE_CASE,1},
  {(unsigned char*)"O_TOP_OF_FOLD",O_TOP_OF_FOLD,1},
  {(unsigned char*)"O_UNCHANGE",O_UNCHANGE,1},
  {(unsigned char*)"O_UNDEL_CHAR",O_UNDEL_CHAR,1},
  {(unsigned char*)"O_UNDEL_LINE",O_UNDEL_LINE,1},
  {(unsigned char*)"O_UP",O_UP,1},
  {(unsigned char*)"O_WRITE_FILE",O_WRITE_FILE,1},
  {0,0,0}
};
/*}}}*/
#else
/*{{{  name defines*/
#ifndef INCLUDE_STR
#  define INCLUDE_STR ":::F"
#endif
#ifndef DEFAB_STR
#  define DEFAB_STR "abort-macro"
#endif
#ifndef ADD_COUNTER_STR
#  define ADD_COUNTER_STR "add-counter"
#endif
#ifndef KEYALIAS_STR
#  define KEYALIAS_STR "alias"
#endif
#ifndef AND_STR
#  define AND_STR "and"
#endif
#ifndef DEFAUTOSAVE_STR
#  define DEFAUTOSAVE_STR "autosave-macro"
#endif
#ifndef PRO_IN_STR
#  define PRO_IN_STR "begin-prompt-macro"
#endif
#ifndef DECODE_BUFFER_STR
#  define DECODE_BUFFER_STR "buffer-from-position"
#endif
#ifndef CASE_STR
#  define CASE_STR "case"
#endif
#ifndef B_CHG_MAC_STR
#  define B_CHG_MAC_STR "change-buffer-macro"
#endif
#ifndef CHANGE_FOLD_STR
#  define CHANGE_FOLD_STR "change-fold-type"
#endif
#ifndef COUNTER_STR
#  define COUNTER_STR "counter"
#endif
#ifndef DEFASM_STR
#  define DEFASM_STR "defassembler"
#endif
#ifndef DEFAULT_STR
#  define DEFAULT_STR "default"
#endif
#ifndef BINDNAME_STR
#  define BINDNAME_STR "defbinding"
#endif
#ifndef DEFMACRO_STR
#  define DEFMACRO_STR "deffun"
#endif
#ifndef DEFOP_STR
#  define DEFOP_STR "defmac"
#endif
#ifndef DEFMARK_STR
#  define DEFMARK_STR "defmark"
#endif
#ifndef MULTIKBD_STR
#  define MULTIKBD_STR "defmodes"
#endif
#ifndef DEFMODE_STR
#  define DEFMODE_STR "defmodestring"
#endif
#ifndef DEFSET_STR
#  define DEFSET_STR "defset"
#endif
#ifndef DEFMYFIX_STR
#  define DEFMYFIX_STR "defusermacros"
#endif
#ifndef DEFVAR_STR
#  define DEFVAR_STR "defvar"
#endif
#ifndef DEMAND_STR
#  define DEMAND_STR "demand-load"
#endif
#ifndef DIV_STR
#  define DIV_STR "div"
#endif
#ifndef DO_STR
#  define DO_STR "do"
#endif
#ifndef ECHO_B_STR
#  define ECHO_B_STR "echo-byte"
#endif
#ifndef ECHO_P_STR
#  define ECHO_P_STR "echo-string"
#endif
#ifndef ELSE_STR
#  define ELSE_STR "else"
#endif
#ifndef PRO_OUT_STR
#  define PRO_OUT_STR "end-prompt-macro"
#endif
#ifndef OPP_ERROR_STR
#  define OPP_ERROR_STR "error"
#endif
#ifndef ESAC_STR
#  define ESAC_STR "esac"
#endif
#ifndef EVAL_STR
#  define EVAL_STR "eval"
#endif
#ifndef EXMAC_STR
#  define EXMAC_STR "execute-fix-macro"
#endif
#ifndef EXIT_STR
#  define EXIT_STR "exit"
#endif
#ifndef FALSE_SYM_STR
#  define FALSE_SYM_STR "false"
#endif
#ifndef FI_STR
#  define FI_STR "fi"
#endif
#ifndef FILETYPE_STR
#  define FILETYPE_STR "file-type"
#endif
#ifndef FOLD_E_STR
#  define FOLD_E_STR "fold-comment-end"
#endif
#ifndef FOLD_EL_STR
#  define FOLD_EL_STR "fold-comment-end-length"
#endif
#ifndef FOLD_S_STR
#  define FOLD_S_STR "fold-comment-start"
#endif
#ifndef FOLD_SL_STR
#  define FOLD_SL_STR "fold-comment-start-length"
#endif
#ifndef FOLD_M1_STR
#  define FOLD_M1_STR "fold-mark-begin"
#endif
#ifndef FOLD_M2_STR
#  define FOLD_M2_STR "fold-mark-end"
#endif
#ifndef FOLD_M3_STR
#  define FOLD_M3_STR "fold-mark-file"
#endif
#ifndef FOLD_M4_STR
#  define FOLD_M4_STR "fold-mark-line"
#endif
#ifndef FORWARD_STR
#  define FORWARD_STR "forward"
#endif
#ifndef HISTORY_GET_STR
#  define HISTORY_GET_STR "get-history"
#endif
#ifndef GETENV_STR
#  define GETENV_STR "getenv"
#endif
#ifndef GOTO_COUNTER_STR
#  define GOTO_COUNTER_STR "goto"
#endif
#ifndef GOTO_BUFFER_ID_STR
#  define GOTO_BUFFER_ID_STR "goto-buffer-id"
#endif
#ifndef GOTO_BUFFER_STR
#  define GOTO_BUFFER_STR "goto-buffer-number"
#endif
#ifndef GOTO_COUNTER_STR
#  define GOTO_COUNTER_STR "goto-counter"
#endif
#ifndef GOTO_Y_STR
#  define GOTO_Y_STR "goto-line-counter"
#endif
#ifndef GOTO_MARK_STR
#  define GOTO_MARK_STR "goto-line-mark"
#endif
#ifndef HISTORY_STR
#  define HISTORY_STR "history"
#endif
#ifndef HISTORY_EDIT_STR
#  define HISTORY_EDIT_STR "history-edit"
#endif
#ifndef HISTORY_EDIT_F_STR
#  define HISTORY_EDIT_F_STR "history-edit-filename"
#endif
#ifndef HISTORY_EDIT_L_STR
#  define HISTORY_EDIT_L_STR "history-edit-line"
#endif
#ifndef IF_STR
#  define IF_STR "if"
#endif
#ifndef COMPIF_STR
#  define COMPIF_STR "if-using"
#endif
#ifndef EDITING_STR
#  define EDITING_STR "in-prompt"
#endif
#ifndef INITMACRO_STR
#  define INITMACRO_STR "initfun"
#endif
#ifndef INSERT_ASCII_STR
#  define INSERT_ASCII_STR "insert-ascii"
#endif
#ifndef KNBM_STR
#  define KNBM_STR "key-not-bound-macro"
#endif
#ifndef KEYDEF_STR
#  define KEYDEF_STR "keybind"
#endif
#ifndef LASTMES_STR
#  define LASTMES_STR "last-message"
#endif
#ifndef LIB_STR
#  define LIB_STR "lib"
#endif
#ifndef LINENO_STR
#  define LINENO_STR "line"
#endif
#ifndef LINEEND_STR
#  define LINEEND_STR "line-limiter"
#endif
#ifndef LOAD_STR
#  define LOAD_STR "load-function"
#endif
#ifndef LOC_STR
#  define LOC_STR "local"
#endif
#ifndef MENU_STR
#  define MENU_STR "menu-counter"
#endif
#ifndef MESSAGE_STR
#  define MESSAGE_STR "message"
#endif
#ifndef MES_EXIT_STR
#  define MES_EXIT_STR "message-exit"
#endif
#ifndef KBD_STR
#  define KBD_STR "mode"
#endif
#ifndef MODE_COMMA_STR
#  define MODE_COMMA_STR "mode-limiter"
#endif
#ifndef MOD_STR
#  define MOD_STR "modulo"
#endif
#ifndef MOUSEMAP_STR
#  define MOUSEMAP_STR "mouse-buttons"
#endif
#ifndef NOT_STR
#  define NOT_STR "not"
#endif
#ifndef OR_STR
#  define OR_STR "or"
#endif
#ifndef OS_EXT_STR
#  define OS_EXT_STR "os-extension"
#endif
#ifndef OVER_PRE_STR
#  define OVER_PRE_STR "overload-prefix"
#endif
#ifndef POP_DELBUFF_STR
#  define POP_DELBUFF_STR "pop-delete-buffer"
#endif
#ifndef PRE_STR
#  define PRE_STR "pre"
#endif
#ifndef PROMPT_STR
#  define PROMPT_STR "prompt"
#endif
#ifndef PROMPT_CHAR_STR
#  define PROMPT_CHAR_STR "prompt-char-counter"
#endif
#ifndef PROMPT_COUNTER_STR
#  define PROMPT_COUNTER_STR "prompt-counter"
#endif
#ifndef COMMENT_STR
#  define COMMENT_STR "rc-comment"
#endif
#ifndef DEFAUTO_STR
#  define DEFAUTO_STR "read-newfile-macro"
#endif
#ifndef READ_REPEAT_STR
#  define READ_REPEAT_STR "read-repeat"
#endif
#ifndef STARTREF_STR
#  define STARTREF_STR "reference-begin"
#endif
#ifndef STARTREF_NO_STR
#  define STARTREF_NO_STR "reference-begin-class"
#endif
#ifndef REF_COMP_STR
#  define REF_COMP_STR "reference-compress"
#endif
#ifndef REPEAT_STR
#  define REPEAT_STR "repeat"
#endif
#ifndef RESET_U_M_STR
#  define RESET_U_M_STR "reset-user-mode"
#endif
#ifndef RESTORE_LAYOUT_STR
#  define RESTORE_LAYOUT_STR "restore-buffer-layout"
#endif
#ifndef RETURN_STR
#  define RETURN_STR "return-from-macro"
#endif
#ifndef RETVAL_STR
#  define RETVAL_STR "return-value-from-macro"
#endif
#ifndef EXITCODE_STR
#  define EXITCODE_STR "save-and-exit-buffer-code"
#endif
#ifndef SAVE_LAYOUT_STR
#  define SAVE_LAYOUT_STR "save-buffer-layout"
#endif
#ifndef SCROFF_STR
#  define SCROFF_STR "screen-off"
#endif
#ifndef SCRON_STR
#  define SCRON_STR "screen-on"
#endif
#ifndef SET_COUNTER_STR
#  define SET_COUNTER_STR "set"
#endif
#ifndef HELP_SET_STR
#  define HELP_SET_STR "set-area"
#endif
#ifndef SET_COUNTER_STR
#  define SET_COUNTER_STR "set-counter"
#endif
#ifndef SET_CURSOR_STR
#  define SET_CURSOR_STR "set-cursor-line"
#endif
#ifndef SET_ENTER_STR
#  define SET_ENTER_STR "set-enter"
#endif
#ifndef SET_U_M_N_STR
#  define SET_U_M_N_STR "set-numbered-user-mode"
#endif
#ifndef SET_S_ENTER_STR
#  define SET_S_ENTER_STR "set-space-enter"
#endif
#ifndef SET_U_M_STR
#  define SET_U_M_STR "set-user-mode"
#endif
#ifndef LINESTART_STR
#  define LINESTART_STR "shift-mark"
#endif
#ifndef SHOW_CURSOR_STR
#  define SHOW_CURSOR_STR "show-cursor"
#endif
#ifndef DEFQUIT_STR
#  define DEFQUIT_STR "sigquit-macro"
#endif
#ifndef DEFU1_STR
#  define DEFU1_STR "sigusr1-macro"
#endif
#ifndef DEFU2_STR
#  define DEFU2_STR "sigusr2-macro"
#endif
#ifndef START_LIST_STR
#  define START_LIST_STR "start-list-editing"
#endif
#ifndef STORE_CHAR_STR
#  define STORE_CHAR_STR "store-character"
#endif
#ifndef STORE_Y_STR
#  define STORE_Y_STR "store-line"
#endif
#ifndef STORE_MARK_STR
#  define STORE_MARK_STR "store-line-mark"
#endif
#ifndef STORE_X_STR
#  define STORE_X_STR "store-pos"
#endif
#ifndef TERMALIAS_STR
#  define TERMALIAS_STR "termalias"
#endif
#ifndef TERMINAL_STR
#  define TERMINAL_STR "terminal"
#endif
#ifndef TEST_AUTO_STR
#  define TEST_AUTO_STR "test-autosave"
#endif
#ifndef TEST_BEGIN_FOLD_STR
#  define TEST_BEGIN_FOLD_STR "test-begin-fold"
#endif
#ifndef TEST_BEGIN_LINE_STR
#  define TEST_BEGIN_LINE_STR "test-begin-line"
#endif
#ifndef TEST_BOTTOM_STR
#  define TEST_BOTTOM_STR "test-bottom"
#endif
#ifndef TEST_CHAR_C_STR
#  define TEST_CHAR_C_STR "test-char"
#endif
#ifndef TEST_CHAR_HIGH_C_STR
#  define TEST_CHAR_HIGH_C_STR "test-char-greater"
#endif
#ifndef TEST_CHAR_LOW_C_STR
#  define TEST_CHAR_LOW_C_STR "test-char-less"
#endif
#ifndef TEST_CHAR_SET_STR
#  define TEST_CHAR_SET_STR "test-char-set"
#endif
#ifndef TEST_ECHO_STR
#  define TEST_ECHO_STR "test-echo"
#endif
#ifndef TEST_END_FOLD_STR
#  define TEST_END_FOLD_STR "test-end-fold"
#endif
#ifndef TEST_END_LINE_STR
#  define TEST_END_LINE_STR "test-end-line"
#endif
#ifndef TEST_CHANGED_STR
#  define TEST_CHANGED_STR "test-file-changed"
#endif
#ifndef TEST_FILED_STR
#  define TEST_FILED_STR "test-filed"
#endif
#ifndef TEST_FOLD_LINE_STR
#  define TEST_FOLD_LINE_STR "test-fold-line"
#endif
#ifndef TEST_GEN_FOLD_STR
#  define TEST_GEN_FOLD_STR "test-folding"
#endif
#ifndef TEST_HASH_STR
#  define TEST_HASH_STR "test-hash-shift"
#endif
#ifndef TEST_LANG_STR
#  define TEST_LANG_STR "test-language"
#endif
#ifndef TEST_OVER_STR
#  define TEST_OVER_STR "test-overwrite"
#endif
#ifndef TEST_STR_STR
#  define TEST_STR_STR "test-str"
#endif
#ifndef TEST_TERM_STR
#  define TEST_TERM_STR "test-term"
#endif
#ifndef TEST_TEXT_STR
#  define TEST_TEXT_STR "test-text"
#endif
#ifndef TEST_TOP_STR
#  define TEST_TOP_STR "test-top"
#endif
#ifndef TEST_VERBOSE_STR
#  define TEST_VERBOSE_STR "test-verbose"
#endif
#ifndef TEST_VIEW_STR
#  define TEST_VIEW_STR "test-view"
#endif
#ifndef TRUE_SYM_STR
#  define TRUE_SYM_STR "true"
#endif
#ifndef UNDECLARE_STR
#  define UNDECLARE_STR "undeclare"
#endif
#ifndef COMPUSE_STR
#  define COMPUSE_STR "use"
#endif
#ifndef VMAC_STR
#  define VMAC_STR "view-macro"
#endif
#ifndef WHILE_STR
#  define WHILE_STR "while"
#endif
#ifndef HELP_W_STR
#  define HELP_W_STR "write-area"
#endif
#ifndef if_u_name_STR
#  define if_u_name_STR "if-using"
#endif
#ifndef fi_name_STR
#  define fi_name_STR "fi"
#endif
#ifndef end_ref_STR
#  define end_ref_STR "reference-end"
#endif
#ifndef include_name_STR
#  define include_name_STR "include"
#endif
/*}}}*/
#endif
